IceWarp Web Mail For Windows (2003/2K/XP/NT/9x/ME) & Linux
Copyright (c) 2005 IceWarp Ltd. All rights reserved.

Release Notes
-------------

[ Legend                     ]
[ + Added feature            ]
[ * Improved/changed feature ]
[ - Bug fixed                ]

5.6.5 [2006-07-28]
[-] 2006-07-28: groups, changed regular expression in email list for 4 character 1st level domains
[-] 2006-07-19: Mail actions on unread emails in domains with dash eg. domain-domain.com
[-] 2006-07-14: JS error caused by apostrophe in attachment filename fixed
[-] 2006-07-12: BWlist returned into select below list window
[-] 2006-07-12: Message is moved into trash folder during black listing
[-] 2006-07-06: Disable forwarder option behaviour fixed
[-] 2006-06-19: Header content-type applied on title as well
[-] 2006-06-15: from header doesn't contain full name
[-] 2006-06-15: schedule path on localhost and PHP 4
[-] 2006-06-14: attachment upload on Safari browser
[-] 2006-06-14: redeclared trimcolon function in login.html
[-] 2006-06-12: Reply and Delete reflects "Move deleted messages to trash" option
[-] 2006-06-07: Client rules now works only for unread emails (with no flag) received in last 14days
[-] 2006-06-07: try to UUEncode body in case of "begin" word inside text
[-] 2006-06-01: support for direct contact addition into GW groups in addressbook list
[-] 2006-05-31: Adding address with * in contact name caused RegExp error
[-] 2006-05-26: add condition bug
[*] 2006-05-25: Message view - Attachment handling - multiple attachments and multipart/ support at the same boundary level support added, tested
[-] 2006-05-23: search keeps selected folder after submit
[*] 2006-05-21: BW list uses SMTP sender instead of Header
[*] 2006-05-20: GW reminders, minutes select removed
[-] 2006-05-20: small css syntax update for outlook 2006
[*] 2006-05-20: GroupsItem grp parser improved
[*] 2006-05-20: Groups editor is less demanding for bandwidth
[*] 2006-05-20: Local usernames (without email address) can be added into groups
[-] 2006-05-14: from header doesnt reflect personalities (security issue)
[*] 2006-04-26: B/W moved from select to email toolbar
[-] 2006-04-26: GW tasks remonders counts with EVNENDDATE
[*] 2006-04-26: Item: ALL removed from server rules in basic mode
[-] 2006-04-24: GW recurent event sorting in week and month view
[-] 2006-04-24: GW/Notes - Cancel modify prompt caused rename folder to "null"
[*] 2006-04-24: GW/Notes - Modify button is inactive if no folder is selected
[*] 2006-04-23: Full merak integration checkbox removed in integrated installation
[-] 2006-04-18: Delete new message immediately after view
[*] 2006-04-18: GW addressbook has ITMCLASS = C
[*] 2006-04-12: improved flag management for faster webmail login
[*] 2006-04-10: default max message disabled (max att. size from wmi.ini)
[-] 2006-04-10: faster access for GW addressbook items

5.6.4 [2006-03-22]
[-] 2006-03-22: attachment upload button width in opera
[-] 2006-03-22: attachment without extension contained ".octet-stream" as an extension
[*] 2006-03-22: global variable webmail_server_path renamed to icewarp_server_path
[-] 2006-03-15: email + group in header caused duplication of this header in message body
[*] 2006-03-15: FW and Reply as plain text with optional original email as rfc822 attachment
[*] 2006-03-14: better session handling

5.6.3 [2006-02-23]
[-] 2006-02-28: IM icon in admin settings removed
[-] 2006-02-24: incorect php syntax parameter in function.folder.php
[-] 2006-02-23: Blank GW groups issue fixed
[-] 2006-02-21: Language selection vulnerability fixed
[*] 2006-02-12: JWChat removed
[+] 2006-02-10: Disable forwarder option in admin settings
[-] 2006-02-09: Charset header in email printing
[+] 2006-02-08: Cancel attachment uploading possibility
[+] 2006-02-08: Uploading attachment warning
[-] 2006-02-01: User settings Timezone +1 saving

5.6.2 [2006-01-29]
[*] 2006-01-29: Addressbook GW contact request optimalization
[-] 2006-01-26: Attachments filestatcache fixed
[-] 2006-01-22: PDA: Unread message delete from view
[-] 2006-01-22: Minor CSS update in outlook skin
[-] 2006-01-22: webMail install path disclosure in HTML source code on Reply
[*] 2006-01-22: Forward with "attachments only" posibilty
[*] 2006-01-22: New system of attachments
[*] 2006-01-21: Save to drafts including attachments
[-] 2006-01-21: Quota CSS z-index for OSX skin fixed
[-] 2006-01-20: List of address in addressbook also contains department
[-] 2006-01-18: delete of specific folder with diacritic from outlook skins caused logout
[-] 2006-01-15: default smtphost and mailserver changed to 127.0.0.1 (to avoid CGI PHP4.3x+ gethostbyname bug)
[-] 2006-01-15: new message IDs doesn't contain "E" (to avoid PHP4.4x string comparsion bug)
[*] 2006-01-14: groupware code optimalization
[-] 2006-01-12: Search button JS error in old skins (TEXT skin)
[-] 2006-01-11: Original message section contains whole TO header from replied email

5.6.1 [2006-01-03]
[-] 2006-01-03: Unknown attachment is saved as "unknown" instead of "attachment.html"
[*] 2006-01-03: Unknown attachment has name composed from "unknown." + second part from contentype
[-] 2006-01-03: autorefresh returned readmail window back to 1st page
[-] 2005-12-30: forward & redirect - enclosed messages syntax
[-] 2005-12-30: shared global GW addresses in groups

5.6.0 [2005-12-23]
[-] 2005-12-23: missing reply symbol during reply to simple text email 
[-] 2005-12-21: missing messages and unread counts for Spamfolder (caused by old accounts with ~Spam insted of ~spam)

5.5.2 [2005-12-18]
[-] 2005-12-18: Reading confirmation fixed
[*] 2005-12-15: TC lang updated
[-] 2005-12-14: Skin display without any windows problem fixed
[*] 2005-12-14: Automatic folder re-indexing added
[*] 2005-12-13: Folder rename() function updated
[*] 2005-12-13: Settings, max att. limited
[-] 2005-12-13: VHost, admin check problem fixed
[*] 2005-12-13: Outlook skins, redundant folder refresh removed (performance & move to empty folder fix)
[*] 2005-12-09: WMAPI alt email - Compatibility issue fixed
[*] 2005-12-09: Space insensitive word verification 
[*] 2005-12-07: Path vulnerability fixed
[*] 2005-12-06: Folder processing updated
[*] 2005-12-06: HE lang updated
[+] 2005-12-03: New faster processing of viewing emails and directory processing added
[*] 2005-11-28: mktree - function working on Linux
[-] 2005-11-25: PHP5 - Public calendar problem fixed
[-] 2005-11-25: Hidden email date after fresh installation
[*] 2005-11-09: CAT lang updated

5.5.1 [2005-11-02]
[*] 2005-11-02: SP lang updated
[+] 2005-10-23: Low priority email flag supported
[*] 2005-10-18: Default merak integration in powerpack installation for wapmail and pdawebmail
[+] 2005-10-18: Global upload variable $_FILE supported
[*] 2005-10-18: Search - display long foldernames in action select
[*] 2005-10-18: View - "Source" vs "Enlarge Email" behaviour fixed
[*] 2005-10-18: PHP - Better constant definitions
[*] 2005-10-18: calendar - autofocus on title in add event, add task, add note (FFoxfix)
[*] 2005-10-18: New error handling function
[+] 2005-10-17: Web Service - Security - Executables support added - http://server/executable.cgi (.cgi, .exe, .com supported), tested
[+] 2005-10-17: Web Service - Security options added - Read, Write implemented, read - GET and HEAD, write - PUT
[*] 2005-10-17: Web Service - multipart/form-data handling removed, ISAPI or CGI handling used, tested, php.ini updated - attachment max size 20M
[*] 2005-10-06: TH lang updated
[*] 2005-10-05: Linux - Send mail and attachments problem fixed
[*] 2005-10-02: Security vulnerabilities fixed - Multiple cross-site scripting (XSS) vulnerabilities, Full install path disclosure, Deletion arbitrary directories and files on remote system.
[*] 2005-10-02: License key check problem fixed
[*] 2005-09-30: PT lang updated
[*] 2005-09-15: IT lang updated
[*] 2005-09-15: SP lang updated
[+] 2005-09-13: PHP 5.0.5 officially used
[*] 2005-09-13: PHP 5.0.5 tested
[*] 2005-09-13: Move message, increment of unread messages in destination folder
[*] 2005-09-13: Global $URL variable replaced with $_SERVER['HTTP_HOST'] & $_SERVER['REQUEST_URI']
[*] 2005-09-13: Long foldernames in select are shortened to 18 chars (main window)
[*] 2005-09-13: View - decoding of incorrectly encoded us-ascii headers (=??Q?) added
[*] 2005-09-12: View.html - Updated to work on PHP5
[*] 2005-09-12: Address Book - Distribution Lists (Groups) email address problem fixed
[*] 2005-09-09: PHP - New template engine used
[*] 2005-09-08: Outlook skins readmail collapse improved (FFox only)
[*] 2005-09-08: Opera attachment content type fixed
[*] 2005-09-08: Lang string "Selected messages to" cut to "selected to"
[*] 2005-09-07: Setup - Old current user Start menu removed, Common users Start menu used for menu items, tested
[*] 2005-09-05: Langs - Array problem fixed
[*] 2005-09-04: PHP - MMCache recompiled for PHP 4.4.0
[+] 2005-09-02: JWChat - New JWChat 1.0beta2 version used, debugging and porting to Merak, WCS = WCS component + HTTP Polling plugin, HTTP Polling used
[*] 2005-08-30: New PHP engine 4.4.0 used
[*] 2005-08-29: PT lang updated
[*] 2005-08-26: WebService - ISAPIRestart - SelfKillRestart implemented rather than calling setup.exe with a restart parameter
[*] 2005-08-25: Spell checker & Session no longer active problem fixed
[*] 2005-08-25: Full headers checkbox removed from settings
[*] 2005-08-24: Global full headers & text skin fixed
[+] 2005-08-24: WebService - Virtual Host IP address used, if virtual host name not found the destination IP address is checked against all virtual hosts IP addresses, tested
[*] 2005-08-22: Writemail/"Read confirmation" checkbox memory
[*] 2005-08-22: GW DB has uppercased columns - InterBase compatible
[*] 2005-08-19: Tempdir validity check improved
[*] 2005-08-19: Import vulnerability fixed
[*] 2005-08-16: Export Phone numbers/type/text from DB addressbook fix
[*] 2005-08-15: Export in quoted CSV format
[*] 2005-08-14: Import improvements: speed, support for comma in quoted string
[*] 2005-08-14: TH Thai lang added
[*] 2005-08-13: Virtual host management directly from Admin settings
[*] 2005-08-13: PT lang updated
[*] 2005-08-11: HU lang updated
[*] 2005-08-09: MIME parts loading changed, fixes problem with MS Outlook MIME boundary reading
[*] 2005-08-03: Add other accounts/connection test fix
[*] 2005-08-02: Reply-to vs us-ascii conten-type fix
[*] 2005-07-30: ReplyTo with charset disabled problem fixed
[*] 2005-07-19: License checking updated
[*] 2005-07-18: PT lang updated
[*] 2005-07-09: Merak integration license check only if integrated with Merak
[*] 2005-07-07: CAT lang updated
[*] 2005-07-06: HTMLArea JS updated
[*] 2005-07-03: Admin - Default time zone settings
[*] 2005-07-01: Setup - XML install info updated
[*] 2005-07-01: Setup - Localization of other Forms added

5.5.0 [2005-06-28]
[*] 2005-06-28: FI lang updated
[*] 2005-06-24: WebServer - Resource Access Error - new error implemented
[*] 2005-06-23: Spam folder - Empty folder button added
[*] 2005-06-22: wmi.ini - icewarp_webmail_path variable added during setup, webmail engine will use this variable
[*] 2005-06-22: IT lang updated
[*] 2005-06-18: WebAdmin - Greek language added
[+] 2005-06-15: WebService - SSI support added, full SSI all commands and variables, a file extension needs to be assigned to "(ssi)" type (just like (isapi), (cgi) etc.), tested
[*] 2005-06-12: CSS updated in all skins
[*] 2005-06-07: Read messages - Date displayed in local time zone
[*] 2005-06-04: PT lang updated
[*] 2005-06-04: BW - SMTP AUTH condition added
[*] 2005-05-30: PHP - New template engine
[*] 2005-05-30: HTML reply <blockquote> tag removed
[*] 2005-05-30: Calendar folder vs. sort behaviour fixed
[*] 2005-05-30: Calendar minor HTML fixes for Mozilla
[*] 2005-05-30: Win CE: IM & Left side of calendar removed
[*] 2005-05-30: Missing am/pm string added into settings/admin settings
[+] 2005-05-30: Message Date respects Users timezone
[*] 2005-05-30: PDA search button fixed
[*] 2005-05-30: Calendar - better IE4/IE4.01 CE support
[+] 2005-05-22: Web / PHP - New template engine developed and used, tested - Faster and IceWarp developed
[*] 2005-05-11: Password retrieval - Reads a fresh password from Merak
[*] 2005-05-08: File upload vulnerability fixed
[*] 2005-05-06: Some vulnerabilities fixed
[*] 2005-04-29: TR lang updated
[*] 2005-04-29: Backlog set to 65535
[+] 2005-04-21: Charset handling - completely changed
[*] 2005-04-18: Header decoding - Length limits applied
[*] 2005-04-16: Date setting added
[*] 2005-04-16: Message - Date parsing - All received headers parsed if the date is missing
[*] 2005-04-15: Uninstall - Removes all links from the start menu
[+] 2005-04-08: WebMail - Skinpacks added to standard webmail
[*] 2005-04-02: Small changes include config.html
[*] 2005-03-30: Logging - IP address added
[*] 2005-03-30: Cookie vs. lang problem fixed
[*] 2005-03-23: PT lang updated
[*] 2005-03-20: Schedule depends on Calendar administration settings
[*] 2005-03-19: HTML Composing vs. Spell Check disabling issue fixed
[*] 2005-03-06: WebService - HTTP request parsing updated
[*] 2005-03-03: New HTML examples added, deleted the old ones
[*] 2005-03-01: SW lang updated
[*] 2005-02-28: Delete folder confirmation
[*] 2005-02-28: Lang assistant
[*] 2005-02-26: Path setting updated
[+] 2005-02-25: Web Service - Linux - FastCGI support for unix sockets added, tested
[+] 2005-02-25: WebService - Fast CGI implementation
[*] 2005-02-25: PT lang updated
[*] 2005-02-24: SERVERINSTALLPATH updated, uses relative paths
[*] 2005-02-24: import addresses to DB sharing option fixed
[*] 2005-02-24: text skins/view GO button fixed
[*] 2005-02-24: add to group behavior fixed
[*] 2005-02-24: GW account DB global groups RCPT fixed 
[*] 2005-02-23: Linux porting - WebMail ported, tested
[*] 2005-02-22: Updated to be multi platform
[*] 2005-02-22: WebMailCOM removed (Setup and usage)
[*] 2005-02-17: Folders JS problem fixed
[*] 2005-02-17: AB import problem fixed
[*] 2005-02-16: Old skins updated
[*] 2005-02-16: Calendar - Displayed when adding a new item

5.4.2 [2005-02-11]
[*] 2005-02-11: Expired password updated
[*] 2005-02-11: Password retrieval updated
[*] 2005-02-11: IT lang updated
[*] 2005-02-11: SP lang updated
[*] 2005-02-11: DE lang updated
[*] 2005-02-10: Setup - Localization engine - XML structure changed, All tags have the name ITEM and contain an attribute ID with their original names, a special tool for conversion of old XML is available if requested

5.4.1 [2005-02-10]
[*] 2005-02-10: Setup - Notify tool removed, Can be download from the web
[*] 2005-02-10: Setup - Old root DLL files removed during setup
[*] 2005-02-10: PDF doc removed - Can be downloaded separately from the web
[*] 2005-02-10: SP lang updated
[*] 2005-02-10: Old PHP engine 4.3.8 used (temporarily) - New version contains few bugs to be fixed
[*] 2005-02-10: Outlook skins updated
[*] 2005-02-09: Setup - Uninstall keeps data files
[*] 2005-02-07: SSL IE problem fixed
[*] 2005-02-07: Address book import problem fixed
[*] 2005-02-06: Word verification - GetRandomWord used from the CR API
[*] 2005-02-06: Password retrieval - problem with usernames as email addresses fixed

5.4.0 [2005-02-03]
[*] 2005-02-03: IT lang updated
[*] 2005-02-03: Address Book items order changed
[*] 2005-02-03: Address Book export problem fixed
[*] 2005-02-02: Final PDF documentation updated
[*] 2005-02-02: Final online help
[*] 2005-02-02: Setup - Setup localizable - Uses the localization object, use /exportlanguage parameter to export to setup.lng file, if setup.lng present the file will be automatically loaded
[*] 2005-02-02: FR lang updated
[*] 2005-02-02: CAT lang updated
[*] 2005-02-02: SK lang updated
[*] 2005-01-31: HU lang updated
[*] 2005-01-31: IT lang updated
[*] 2005-01-30: Setup - Progress steps fixed
[*] 2005-01-30: Setup - php-license install removed
[*] 2005-01-30: Examples updated
[*] 2005-01-30: Forgot password - Email is sent to both alternative and main email addresses
[*] 2005-01-28: Import problem fixed
[+] 2005-01-28: Message headers updated - Outlook like
[*] 2005-01-27: Spellchecker - <> and &lt; &gt; support
[*] 2005-01-27: Spellchecker - TEXT formatting improved
[*] 2005-01-27: Spellchecker - HTML formatting (<p>,<br>) added
[*] 2005-01-27: Writemail uses "admin settings/Content-type charset" as default for new user
[*] 2005-01-27: Spellchecker - Text<->html &lt; &gt; proper conversion
[*] 2005-01-27: Address book speed improved
[*] 2005-01-27: Address book phones in flat file mode fixed
[*] 2005-01-27: View - New headers implementation
[*] 2005-01-27: Accounts administration disabled in full merak mode
[*] 2005-01-27: Add to BW - langs updated
[*] 2005-01-26: Setup - Web Server - Cache-Control: removed again - Caused problems
[*] 2005-01-24: Setup - Web Server - Cache-Control: special header for images cache added
[*] 2005-01-24: FR lang updated
[*] 2005-01-24: HU lang updated
[*] 2005-01-23: WAP and PDA fixed
[*] 2005-01-21: Right click and Enlarge view JS problem fixed
[*] 2005-01-21: Search - Displays attachment icon 
[*] 2005-01-20: Outlook skins - Folders list - New +- images used
[*] 2005-01-20: BW filters - Max 3 conditions
[*] 2005-01-20: accountsettings_add - settings menu fixed, Eg email removed if not necessary, new langs and design for pass
[*] 2005-01-20: viewaction - reply HTML mail with CRLF inside tags FIXED
[*] 2005-01-20: inc/script.js - foldertree selected folder ico fix
[*] 2005-01-20: Readmail - new BWlist implementation (works like Basic mode), Add to blacklist and Add to white list
[*] 2005-01-17: BW filters updated
[*] 2005-01-14: IT lang updated
[*] 2005-01-13: FI lang updated
[*] 2005-01-12: Header encoding problem fixed
[*] 2005-01-11: Fix for adding passed event added
[*] 2005-01-10: New BW system introduced
[*] 2005-01-08: Writemail - Sign and Encrypt status saved
[+] 2005-01-06: New basic server rules mode
[*] 2005-01-06: New PHP engine 4.3.11
[*] 2005-01-05: New PHP engine 4.3.10
[*] 2005-01-04: JS Attachment right click support added
[*] 2004-12-30: JS Attachment problem on W2K fixed
[*] 2004-12-30: selfaction.html vulnerabililty fixed
[*] 2004-12-29: Special message corrupting CSS fixed
[*] 2004-12-26: IT lang updated
[*] 2004-12-25: Web Service - HTTP/1.0 connection close handling fixed
[+] 2004-12-23: Forgot password - Disable option added
[*] 2004-12-23: CR button fixed
[*] 2004-12-22: Setup - RegSvr32.exe not needed any more, internal function used
[*] 2004-12-20: Alternative email vs Forgot password finished, tested
[*] 2004-12-20: PHP engine - gzip encoding disabled because of IE bug
[*] 2004-12-19: CSV category problem import fixed
[+] 2004-12-19: Admin - settings Sign up - Disable word verification added
[+] 2004-12-19: Forgot your password - New feature added
[*] 2004-12-17: SERVERINSTALLPATH handling updated, if exists inc/mailserver.dat then "webmail\" is added to the path (mail server webmail settings handling)
[*] 2004-12-15: FI lang updated
[*] 2004-12-15: Web Service - Completely rewritten web service support - everything Virtual Hosts based
[*] 2004-12-14: JS Attachment right click support added
[*] 2004-12-14: Flickering CSS fixed
[*] 2004-12-13: Support for UNC added
[*] 2004-12-13: Setup - PHP - Its own projects directory, Projects folder module based
[*] 2004-12-11: Latest JWChat module used
[*] 2004-12-11: Setup updated, tested
[*] 2004-12-11: PHP engine moved to PHP folder
[*] 2004-12-10: CAT lang updated
[*] 2004-12-09: Folder menu updated
[+] 2004-12-08: Folder management - JS popup window - Modify, Delete, Add
[+] 2004-12-08: Download Attachments - JS popup window added, attachments not at the end of the message
[*] 2004-12-06: DE spellchecker removed - Download additional spellcheckers from your partner or our web site
[*] 2004-12-06: PT lang updated
[*] 2004-12-01: Writemail vs HTML composing problem fixed
[*] 2004-11-30: Disabled HTML composing JS problem fixed
[*] 2004-11-29: New JS packed HTMLArea
[*] 2004-11-27: Latest JWChat module used - With HTTP Polling engine
[*] 2004-11-27: IT lang updated
[*] 2004-11-25: Calendar object titles - HTML Special chars used ("" coding problem)
[*] 2004-11-23: PT lang updated
[*] 2004-11-19: Charset none = us-ascii
[*] 2004-11-19: Accounts SSL IE problem fixed
[*] 2004-11-19: CAT lang updated
[*] 2004-11-17: Other account password setting issues solved
[*] 2004-11-16: Non integrated vs password problem fixed
[*] 2004-11-16: HTML Area vs SSL IE warning problem fixed
[*] 2004-11-16: Non integrated folders and other issues fixed
[*] 2004-11-15: Logging path problem fixed
[*] 2004-11-15: Expiration problem fixed
[*] 2004-11-14: SP lang updated
[*] 2004-11-14: HTML Area reply handling greatly enhanced

5.3.1 [2004-11-13]
[*] 2004-11-13: FR lang updated
[*] 2004-11-12: Spellchecker - Text CRLF formatting added
[*] 2004-11-11: Manual and Help HTML updated
[*] 2004-11-11: Account settings RegEx completed
[*] 2004-11-11: NO lang updated
[*] 2004-11-10: Search - UTF7 fixed
[*] 2004-11-10: Client rules - Incompatible rules notification updated
[*] 2004-11-10: Personalitites HTML fixed
[*] 2004-11-10: AB save to DB fixed
[*] 2004-11-09: IAS Self control - Challenge Response visible only if CR enabled
[*] 2004-11-09: Calendar settings - visible only if GroupWare enabled
[*] 2004-11-09: Account settings - Vulnerability fixed
[*] 2004-11-09: HTML Area - Text area content problem fixed
[*] 2004-11-09: CS lang updated
[*] 2004-11-09: SK lang udpated
[*] 2004-11-08: Groups - Rights, editing, public displayed
[*] 2004-11-08: Groups - JS updated
[*] 2004-11-08: Folders title spaces removed
[*] 2004-11-08: Word verification problem fixed
[*] 2004-11-08: SP lang updated
[*] 2004-11-07: IT lang updated
[*] 2004-11-07: Outlook form buttons CSS fixed
[*] 2004-11-07: Shared calendards CSS fixed
[+] 2004-11-07: Calendar user settings - Disable reminders support added
[*] 2004-11-06: HTML area fullscreen.html problem fixed
[*] 2004-11-06: HTML area late loading problem fixed
[*] 2004-11-06: Top menu - Groups removed
[*] 2004-11-05: GW items [x] delete button removed for each item
[*] 2004-11-05: Holidays vs. time zone problem fixed
[+] 2004-11-05: MMCache makes PHP run at least 4x faster
[*] 2004-11-05: Setup - MMCache extension installed, WMI.INI updated
[*] 2004-11-05: Setup - mmcache.dll extension installed
[*] 2004-11-05: Turck MMCache 2.4.6 project added - PHP Encoder and Optimizer
[*] 2004-11-04: Address Book import double " problem fixed
[*] 2004-11-04: HTML Area JS loaded only when needed, faster writemail loading
[*] 2004-11-04: Folders title problem fixed
[*] 2004-11-02: favicon.ico removed - Patch possible on demand
[*] 2004-11-02: Web server - HTTP/1.1 problem fixed with keep live connections - CRLF removed  - New opera 7.x compatible
[*] 2004-11-01: CAT lang updated
[*] 2004-11-01: HTML Area loaded only when needed - Speeds up the writemail loading
[*] 2004-11-01: JWChat - jwchat.html JABBERSERVER filled with the node of the jid - fixes the service query problems
[*] 2004-11-01: JWChat - config.js JABBERSERVER = "localhost"
[*] 2004-10-31: Copy messages to folder error handling "@" added
[*] 2004-10-31: Admin settings skin change applied
[*] 2004-10-31: IMAP copy/move UID problem fixed
[*] 2004-10-31: Global groups handling fixed
[*] 2004-10-31: Account creation - Sign up language updated EN
[*] 2004-10-31: Event duration problem fixed
[*] 2004-10-31: Friends global AB problem fixed
[*] 2004-10-30: Submit by Enter in Writemail disabled
[*] 2004-10-30: Tab element selection behaviour improved
[*] 2004-10-30: htmlarea/table operation toolbar removed
[*] 2004-10-30: Account name/personalities containing quotes fixed
[*] 2004-10-28: Redirections - used Location header only
[*] 2004-10-28: GW reminders - N - No action added
[*] 2004-10-28: All RFC822 parts are displayed as messages
[*] 2004-10-27: HTML area updated
[+] 2004-10-26: Categories finished
[*] 2004-10-26: Emails with links - Links rewritten - target=blank_ ...
[*] 2004-10-25: Other accounts - username can contain "/"
[*] 2004-10-25: NewHotMail skin updated
[*] 2004-10-25: BR lang udpated
[*] 2004-10-25: GroupWare Address Book - Problem with business mailing address vs. phones and email fixed, processing completely changed
[+] 2004-10-25: First version of categories introduced
[*] 2004-10-25: Skin colons removed
[*] 2004-10-23: New items categories support development
[*] 2004-10-23: IT lang updated
[*] 2004-10-21: Constants Word verification failed
[*] 2004-10-21: JShide in addressitem - text skins fixed
[*] 2004-10-21: Header charset coding fixed
[*] 2004-10-21: URL in drafts problem fixed
[*] 2004-10-21: JShide in addressitem - text skins fixed
[*] 2004-10-21: Settings - some CSS issue fixed
[*] 2004-10-21: Constants - removed ":" which are part of html files now
[*] 2004-10-20: favicon.ico added to the root of html folder
[*] 2004-10-19: Spell checker updated to work in Mozilla
[*] 2004-10-19: Settings quota removed when integrated with mail server
[+] 2004-10-19: New HTMLArea 3.0 used - HTML compose Mozilla compatible
[*] 2004-10-18: Login.html injection problem fixed
[*] 2004-10-17: New account Name field added
[*] 2004-10-17: New catalang language added CAT
[*] 2004-10-17: JWChat - Sounds got working
[*] 2004-10-16: JWChat - Final login scripts
[*] 2004-10-16: JWChat - Some connection and login changes, COM fall over
[*] 2004-10-15: PT lang updated
[*] 2004-10-14: Other skins IM support added
[*] 2004-10-14: Groups with "-" regex problem fixed
[*] 2004-10-12: Client rules - Body condition problem fixed

5.3.0 [2004-10-11]
[*] 2004-10-11: Setup - Old menu shortcuts removal fixed
[*] 2004-10-11: HTML manual updated
[*] 2004-10-11: Outlooks skins - Folder list Collapse and Expand problem fixed
[*] 2004-10-11: Client rules - Support localized header names
[*] 2004-10-11: Calendar settings menu item removed if not available
[*] 2004-10-11: Attachment icon added
[*] 2004-10-11: PHP - wmi.ini max execution time 16 min.
[*] 2004-10-10: Setup - CopyIniFile - %%temppath%% variable support added
[*] 2004-10-10: IT lang udpated
[*] 2004-10-10: SP lang udpated
[*] 2004-10-09: JWChat Port specification problem fixed
[*] 2004-10-09: Import CSV problem with "CRLF" fixed
[*] 2004-10-09: Old skins CSS updated
[*] 2004-10-09: Server rules finally finished and polished
[*] 2004-10-09: Constants - Read confirmation used instead of Disposition notification
[*] 2004-10-08: Blank incoming mail server problem fixed
[*] 2004-10-08: Drafts - HTML entities support added
[*] 2004-10-08: Webmail examples directory added, setup updated
[*] 2004-10-08: DK lang updated
[*] 2004-10-08: B&W - View action parameters passed
[*] 2004-10-08: DE lang updated
[*] 2004-10-08: Skins - B&W icons support added, new icons for Outlook skins
[*] 2004-10-08: Constants and filters updated
[*] 2004-10-08: JS constants html entities support added
[*] 2004-10-07: Spell Checker - HTML messages formatting problem fixed
[*] 2004-10-07: B&W page - Last item not shown
[*] 2004-10-07: Calendar - Reminder - Every week - Start date changed accordingly
[*] 2004-10-07: DN outlook skin updates
[*] 2004-10-07: Plain text address book problem fixed
[*] 2004-10-07: SP lang updated
[*] 2004-10-07: IT lang updated
[*] 2004-10-07: SK lang updated
[*] 2004-10-06: Support for disposition notification in other skins added
[*] 2004-10-06: Spam translation possible
[*] 2004-10-06: Calendar - event - non translated items fixed
[*] 2004-10-06: PDF Manual updated
[*] 2004-10-06: HTML Manual updated
[*] 2004-10-06: Disposition Notification - Popping up with out the trigger problem fixed
[*] 2004-10-06: SK lang updated
[*] 2004-10-05: IT lang updated
[*] 2004-10-05: SP lang updated
[*] 2004-10-03: B&W some variables problem fixed
[+] 2004-10-03: Personalities - Last personality saved and used in next compositions
[*] 2004-10-03: Notification problem fixed
[*] 2004-10-02: Disposition Notification - some changes, tested
[*] 2004-10-02: Getfilters problem fixed - view
[!] 2004-10-02: Security HOT Fix! - view.html file view problem fixed
[+] 2004-10-01: Disposition Notification support added - first beta
[*] 2004-09-30: Colon spacing - Label and field standardized
[*] 2004-09-30: WebServer Engine - Standalone ? in the URL problem fixed
[*] 2004-09-29: B&W Lists - Options disabled when not needed
[*] 2004-09-29: Userspath - checking - settings.dat problem fixed
[*] 2004-09-29: Typo fixed
[*] 2004-09-29: PDA include problem fixed
[*] 2004-09-28: bwlistedit.html - TEXTAREA does not wrap
[+] 2004-09-28: New Server Rules - Basic view - User friendly, 2 tabs Basic & Advanced view, possibility to forward emails, conditions, send IM messages etc., tested
[*] 2004-09-28: /inc/libraries support for next level code added
[*] 2004-09-28: PDA - Rules problem fixed
[*] 2004-09-28: Userspath - If path not exists, gets created
[+] 2004-09-28: New writemail design - Options section - Charset, Encrypt, Sign, HTML Message
[*] 2004-09-27: PHP engine - Error Displaying On again
[*] 2004-09-27: Web Server engine - URI with missing slash at the end - Directory existence checked
[*] 2004-09-25: Constant - SpamG and SpamL swapped
[*] 2004-09-25: Writemail - Charset last item selected saved
[*] 2004-09-24: JWChat - finally works with webmail SSL sessions
[*] 2004-09-23: JWChat - SSL tweaking
[+] 2004-09-23: Admin settings - Non SSL port added
[*] 2004-09-23: Server Rules - Filters listed htmlspecialchars
[*] 2004-09-23: Calendar Virtual Host - user cal settings - displays host list - Only admin!
[+] 2004-09-23: AB - Groups & Contacts pull down
[*] 2004-09-23: New icon for "mark as spam" action - green "!"
[*] 2004-09-23: AB Private/Busy flag read like in Calendar
[+] 2004-09-23: Charset compose specification
[*] 2004-09-23: JWchat SSL login FIX - uses non SSL port (secured using sha1 login)
[*] 2004-09-23: Server certificate updated (Expires in 2009)
[*] 2004-09-23: JWChat - Latest CVS used
[*] 2004-09-23: DK and SP langs update
[*] 2004-09-23: JWChat - jwchat.html Logout project bug fixed (temporarily)
[*] 2004-09-22: JWChat - Integration final changes done
[*] 2004-09-21: JWChat - Emotion Icons support added, latest .9 version used
[+] 2004-09-21: Server Rules - New conditions added - All, Greater than, Lower than
[*] 2004-09-21: B&W List renamed to Server Rules, Processing Rules renamed to Client Rules
[+] 2004-09-21: B&W List - Flags support added
[*] 2004-09-21: Cookie variable set via array and via setcookie function
[*] 2004-09-21: JWChat - loc() function finished
[*] 2004-09-21: JWChat - JWChat-Notes.txt added
[*] 2004-09-21: WebMail Web Chat tests
[+] 2004-09-20: Web Jabber Chat support added
[+] 2004-09-20: Admin settings - IM disable option added
[*] 2004-09-20: GetUserProperty IM disabled state reflected
[*] 2004-09-20: Outlook2000 and Outook2003 IM icon support added
[*] 2004-09-20: WCS and JWChat login support added
[*] 2004-09-18: Password expiration supported
[-] 2004-09-18: Shared mail folder path implementation FIX
[*] 2004-09-18: Link: blankskin?id=[id]&folder=[folder], open [folder] as default (outlook skin)
[*] 2004-09-18: Move messages to trash - text skins FIX
[*] 2004-09-18: Calendar disabled state reflected
[*] 2004-09-18: Disabled quota state reflected
[*] 2004-09-18: Login name stays in place after incorrect login
[*] 2004-09-18: Groups duplicity fix
[*] 2004-09-18: Groups default checkbox FIX
[*] 2004-09-10: JS Folder delete problem fixed
[*] 2004-09-10: Calendar settings - Virtual Host support added
[+] 2004-09-09: DL groups added - DB and flat file groups support added (Distributin Lists in GW)
[+] 2004-09-09: new folder modify & control in Outlook skins
[+] 2004-09-09: New groups interface
[*] 2004-09-09: addressitem active url&calendar url link in AB
[*] 2004-09-09: AB/Groups speed up
[*] 2004-09-09: Add to Group [esc] JS fix
[*] 2004-09-09: header email quote fix
[*] 2004-09-09: folder control in Old skins
[*] 2004-09-09: schedule access fix
[*] 2004-09-09: calendar/print title
[*] 2004-09-09: IT lang updated
[*] 2004-09-08: Setup - installs the Projects dir and deletes the previous dir - Currently JWChat installed
[*] 2004-09-07: CS lang updated
[*] 2004-09-05: SP lang updated
[*] 2004-09-05: PHP license installed
[*] 2004-09-03: XSS fixes
[*] 2004-09-03: Lang: Add buttons in AB
[*] 2004-09-03: IMAP Folders in Other Accounts can contain spaces in names
[*] 2004-09-03: GW Folders finished
[*] 2004-09-02: SP lang updated
[*] 2004-09-01: New shared .js file
[*] 2004-09-01: Foldertree in CSS
[+] 2004-09-01: GW Folders implemented
[*] 2004-08-31: EN spell checker updated
[*] 2004-08-31: Folders deletion updated
[*] 2004-08-31: CSS updated for foldertree
[+] 2004-08-31: Calendar E/T/N new folders system
[+] 2004-08-31: FolderTree new design and display system
[*] 2004-08-31: PDA - Cipher support added, Delete view item fixed
[+] 2004-08-31: First PDA version ready - ../pda URL
[*] 2004-08-31: DK lang updated
[*] 2004-08-30: PDA plugin development
[*] 2004-08-30: Web server engine - a request can contain :// and still not be PROXY request
[+] 2004-08-29: Title shows read and unread messages
[*] 2004-08-29: JS urlencode fix readmail
[*] 2004-08-29: JS urlencode fix view
[*] 2004-08-29: Show attached images, mozilla css fix (for text skins)
[*] 2004-08-29: Skins get sorted
[*] 2004-08-29: Addressbook highlighted Groups/ALL switch 
[*] 2004-08-29: Calendar/note new folder displaying
[*] 2004-08-29: New folder displaying logics
[*] 2004-08-29: updatesession fix 
[*] 2004-08-29: All folders output
[*] 2004-08-29: Cookie expiration & timezone 
[*] 2004-08-29: getusersession fix 
[*] 2004-08-29: TR lang updated
[+] 2004-08-23: WebServer - New ISAPI handling added, Special virtual path ISAPI module redirection added, for JWChat module, first WCS ISAPI created
[*] 2004-08-18: Address Book SQL where clausule fixed
[-] 2004-08-13: Search fixed
[*] 2004-08-12: IT lang updated

5.2.8 [2004-08-10]
[*] 2004-08-10: Spell Check - Some special words ignored (links etc.), special characters handling updated, rewritten
[*] 2004-08-10: Spell Check - Drop down and linked buttons added, completely changed
[*] 2004-08-09: Accounts - Administrator property - handling changed - When turned on - Makes a lifetime webmail admin
[*] 2004-08-09: Week view - First day of week problem fixed
[*] 2004-08-08: PHP errors displaying off
[*] 2004-08-07: Critical security updates: 
 + HTML validation fix (foldertree)
 + writemail shortcuts improvement
 + calendar/note/modify FIX
 + getusersession secured
 + CSS attacks calendar.html/notes/foldername accountsettings/add/accountname search/search string address/group name
 + Making any directories on target system. (logged user)
 + Full install path disclosure. (guest)
 + Viewing or downloading any attachments.
 + Deleting any files on target system.
 + Moving any files or directories on target system. (guest)
 + Renaming any files or directories on target system. (logged user)
[*] 2004-08-06: PDF Help updated
[*] 2004-08-06: HTML Help updated
[*] 2004-08-06: Web Server - Unknown method - 400 bad request implemented
[*] 2004-08-05: Security vulerabilities fixed: SQL injection
[*] 2004-08-05: Security vulerabilities fixed: attachment,schedule/calendar - execute without knowing user's session ID number
[*] 2004-08-04: IT lang updated
[*] 2004-08-01: German Spell Checker added
[*] 2004-08-01: Address Book SQL Null issue solved
[*] 2004-07-30: Search pages fixed
[*] 2004-07-30: multipart/mixed + charset problem fixed
[*] 2004-07-28: IT lang updated
[*] 2004-07-28: Support to delete non empty folders added
[*] 2004-07-28: Account deletion - deletes the webmail dir
[*] 2004-07-28: Address Book - Contacts displayed only
[*] 2004-07-27: Display message - Header title aligned to the top
[*] 2004-07-27: Folder tree - Expand all and Collapse all added
[*] 2004-07-26: Calendar - Date format problem fixed
[+] 2004-07-26: Folder tree support added, testing
[*] 2004-07-26: Header behavior changed
[*] 2004-07-22: Reply HTML in Text mode problem CRLF fixed
[*] 2004-07-21: New PHP engine 4.3.8
[*] 2004-07-20: It lang updated
[*] 2004-07-16: Drafts move problem fixed
[+] 2004-07-15: New HTML help accessible from WebMail, all helpinclude.html files replaced
[+] 2004-07-15: New complete HTML help added /help/
[*] 2004-07-13: TR lang updated
[*] 2004-07-12: PT lang updated
[+] 2004-07-12: Reply to text or html only messages generates reply content
[*] 2004-07-11: New documentation changes, PDF updated
[*] 2004-07-09: Alternate email addresses - Personalities 
[+] 2004-07-09: GW WebMail Account defaults
[*] 2004-07-09: My Calendar Title Shared ones
[*] 2004-07-09: global calendar settings
[+] 2004-07-09: new folders view (including COMBOs)
[+] 2004-07-09: special "signed" icon instead of attachment in readmail
[*] 2004-07-09: default charset and layout fix
[*] 2004-07-09: login/logout/signin/external calendar, Charset FIX
[+] 2004-07-09: ctrl+enter = writemail submit (outlook based skins)
[*] 2004-07-09: function getheaderline fix
[*] 2004-07-09: JS functon setit() (select all checkboxes) is placed in script.js instead of calendar.html
[*] 2004-07-09: better calendarsettings save/get function
[*] 2004-07-09: Disable user password changing in admin/restrictions
[*] 2004-07-09: disable other accounts in admin/restrictions
[*] 2004-07-09: outlook 2k3/2k skin minor JS and CSS fixes
[*] 2004-07-09: printing of not fully loaded document + document width issue fixed
[*] 2004-07-09: mozilla - writemail JS ERROR fix
[+] 2004-07-09: save to drafts as button added
[*] 2004-07-09: proper behaviour of draft/edit & save
[*] 2004-07-09: special folders icon FIX
[*] 2004-07-09: cool "sending mail..." text in writemail window for impatient users
[*] 2004-07-09: position memory in addressbook (GROUPS,Private/Global)
[+] 2004-06-27: New feature - UTF7 folders support added
[+] 2004-06-26: New feature - Save sent copy to folder
[*] 2004-06-21: IT lang updated
[*] 2004-06-18: IT lang updated
[+] 2004-06-18: New power feature Show attached pictures - Attachment images displaying added, tests performed
[*] 2004-06-17: Print email page width changed
[*] 2004-06-16: Full Merak integrated - Incoming mailserver admin setting hidden
[+] 2004-06-16: All setting options - Examples added
[*] 2004-06-16: Outlook skins JS problem fixed
[+] 2004-06-14: New webmail documentation, completely rewritten and revised
[*] 2004-06-13: ERROR FIXED Warning: date(): Windows does not support dates prior to midnight (00:00:00), January 1, 1970 in
[*] 2004-06-13: Getmessages list shows account name now
[*] 2004-06-13: Disabled shortcuts for mozilla
[*] 2004-06-13: Added user ability to change font-size in folder/readmail/view CSS fix
[*] 2004-06-13: Auto adding email address for DBcontacts on sent (+ speed up)
[*] 2004-06-13: accountsettings POP/IMAP view with IP as HOST FIX
[+] 2004-06-03: Max message size - Enable / disable checkbox - Admin settings added
[*] 2004-06-03: POP3 - UIDL - Case sensitivity added - base64 used
[+] 2004-06-03: Auto responder - 2 new merak options added - Reply Between, Reply only if to me
[*] 2004-06-03: Auto responder fix
[*] 2004-06-02: Disable other accounts - some changes
[*] 2004-06-02: SC lang updated
[*] 2004-06-01: Admin settings changes
[*] 2004-06-01: Drafts - JS fix
[*] 2004-06-01: 100 msgs default
[*] 2004-05-29: SC lang updated
[*] 2004-05-29: CZ lang updated
[*] 2004-05-27: Forward as text user setting option removed
[*] 2004-05-27: Forward behavoir changed, always places the text in the body and attaches the previous message
[+] 2004-05-27: Custom spam detection level feature added - IASCUSTOM support
[+] 2004-05-27: New Adminstrator Settings structure
[+] 2004-05-27: Outlook skins - New Page listing system added
[*] 2004-05-25: Login Cookie problem fixed
[*] 2004-05-23: Multiple spell checker dictionaries problem fixed
[*] 2004-05-23: Primary account save problem fixed
[*] 2004-05-21: HU lang updated
[*] 2004-05-21: View - Add new contact - Signed messages S/MIME certificate automatically added
[*] 2004-05-20: WAP - New PHP fix
[*] 2004-05-20: Spell Check JS fix
[*] 2004-05-19: S/MIME - signed messages - auto add certificate problem fixed
[*] 2004-05-19: Setup updated - Installs phpeay32.dll and phpssl32.dll
[*] 2004-05-19: OpenSSL engine 0.9.7d incompatibility with 0.9.7c S/MIME fixed, old openssl libraries included to fix this problem

5.2.7 [2004-05-17]
[*] 2004-05-17: New session cookie system added, instead of IP address a cookie is checked
[*] 2004-05-15: getattachment - 3rd parameter default value added
[*] 2004-05-15: IT lang updated
[*] 2004-05-14: Max row length RFC fix
[*] 2004-05-14: getheaderline function updated
[+] 2004-05-14: Write mail - Ctrl+Enter shortcut = Send message
[*] 2004-05-14: Forward as text - Original header in the message
[*] 2004-05-14: Default charset vs. first save fixed
[*] 2004-05-14: Default charset and default layout fixed
[+] 2004-05-14: S/MIME signed messages icon added
[+] 2004-05-14: Signed messages - S/MIME signed messages - Certificates automatically added to the address book item if missing
[*] 2004-05-14: Disk quota - text skins CSS fix 
[*] 2004-05-14: Address.html new PHP version fix
[+] 2004-05-09: Disable multiple accounts new feature
[+] 2004-05-09: Disable password changing new feature
[*] 2004-05-09: Editable email address in standalone version
[*] 2004-05-08: IT lang updated
[*] 2004-05-06: Standalone webmail issues fixed
[*] 2004-05-06: CSS fixes
[+] 2004-05-06: Each folder can have a different icon
[*] 2004-05-06: Mozilla fixes - Select all, Add task/event
[*] 2004-05-06: Outlook skins fixed once for all
[*] 2004-05-06: Settings menu updated
[*] 2004-05-06: Mozilla Groups fix
[*] 2004-05-06: Challenge Response - folder passed
[+] 2004-05-04: Auto Responder - Respond after a period support added, change the interface
[*] 2004-05-04: Delete message - text skins viewaction.html problem fixed
[*] 2004-05-03: New PHP engine 4.3.6
[*] 2004-05-03: SK lang added
[*] 2004-05-02: DK lang updated
[*] 2004-04-29: Some fixes
[*] 2004-04-28: Month view - spacing enlarged, changed the view to be more clear
[*] 2004-04-28: DE lang fixed
[*] 2004-04-28: IT lang updated
[*] 2004-04-26: Logo image file - * means display no logo
[*] 2004-04-26: Support for multiple dictionaries added, drop down menu added, features updated
[*] 2004-04-24: WebMailCOM - Completely redesigned the SpellChecker object, new commands, LIST added, it is possible to specify the dictionary you want to work with. Custom dictionaries can be assigned to each dictionary independently etc., new HTML files required
[*] 2004-04-23: Folders.html fix
[*] 2004-04-22: Printing updated
[*] 2004-04-21: Outlook skins - Folder change - Reloads folder list
[*] 2004-04-21: Re: fix
[*] 2004-04-21: Other fixes
[*] 2004-04-21: Some fixes
[*] 2004-04-19: JS changes, collapse system enhanced, full compatibility
[*] 2004-04-18: IT lang updated
[*] 2004-04-16: Drafts previous email heritage problem fixed
[*] 2004-04-16: SK lang updated
[*] 2004-04-16: Exotic attachments fixed
[*] 2004-04-16: Calendar - Week view - left month view moves in months
[*] 2004-04-15: Signature trim removed
[*] 2004-04-13: Week starts option renamed to - Weeks starts on the first day of the week
[*] 2004-04-13: Text skins - view.html Move action problem fixed
[*] 2004-04-11: <OBJECT> tag view html messages filtering added
[*] 2004-04-10: Mozilla - Show Headers problem fixed
[*] 2004-04-10: Folder deletion problem fixed
[+] 2004-04-10: Recursive folder creation added
[+] 2004-04-09: Calendar - Week starts on week begin - New option to display the week from the beginning
[*] 2004-04-09: Readmail - Buttons Empty vs Delete swapped
[*] 2004-04-09: View.html old skins deleting fixed
[*] 2004-04-09: Attachment link - image a part of the link
[+] 2004-04-08: Enable Anti Spam user self control - Enables new user settings menu - Anti Spam - Users can enable Anti Spam, Challenge Response and Spam Folder usage
[+] 2004-04-08: Enable Anti Spam user self control - new admin option added
[*] 2004-04-07: Account sort fix and topmenu fix
[*] 2004-04-07: Small fixes - Mozilla, Colors etc.
[*] 2004-04-07: Outlook - Key short cuts added Ctrl+Shift+ G: get messages, N: new message, S: search, A: address book, C: calendar, O: Settings
[*] 2004-04-07: Outlook drop down menu - Colors and font styles updated
[*] 2004-04-06: Self signup fix
[*] 2004-04-06: Global users.dat problem fixed
[*] 2004-04-05: Outlook skins - Drop down menu - normal font used
[+] 2004-04-05: Show full headers - changed to message property actions, not part of the header now, consistent
[+] 2004-04-05: Accounts - Test Connection feature added (Add/Modify, List View)
[+] 2004-04-05: Event and Task recurrence changed to be more user friendly and easier to understand
[*] 2004-04-02: HU lang updated
[*] 2004-04-02: Welcome page - Drop down menu support added
[*] 2004-04-01: IT lang updated
[*] 2004-04-01: Show full headers fixed
[-] 2004-04-01: Get messages - POP problem fixed - Non integrated version

5.2.5 [2004-03-31]
[+] 2004-03-31: Outlook skins - Logo images login page support added
[*] 2004-03-31: Setup - images/logo.gif default
[+] 2004-03-31: Address book - allows you to view shared calendar records when opened from the Calendar view
[*] 2004-03-31: Address book - flat file phones - Read problem fixed
[*] 2004-03-30: Spell checker suggestion table problem fixed
[*] 2004-03-30: Classic skin - Field header CSS problem fixed
[*] 2004-03-30: AM/PM mode changes
[+] 2004-03-30: Email CSS (Client Side Scripting) protection added
[*] 2004-03-30: Pass confirmation typo fixed
[+] 2004-03-30: Drop down menu for Outlook skins support added (Settings, AddressBook, Calendar), IE tweak added, OnClick
[*] 2004-03-29: Double reminder event problem fixed
[*] 2004-03-29: PT lang updated
[+] 2004-03-29: Multiple day views and sorts, recurrences issues
[+] 2004-03-29: AM/PM mode support added
[*] 2004-03-27: att.gif used globally
[+] 2004-03-24: Day and Week views - Sorting, Cross day events and other displaying support added
[*] 2004-03-24: 2 reminders repeat problem fixed
[*] 2004-03-24: Add Event RCR problem fixed
[*] 2004-03-24: Accounts - Primary account save - Password and Name update sent to the mail server, problem fixed
[*] 2004-03-24: WAP - message view problem fixed
[*] 2004-03-24: HU lang updated
[*] 2004-03-23: Browse refresh does not add the last object record (Address book, calendar objects etc.), duplicates fix

5.2.4 [2004-03-19]
[*] 2004-03-19: Return receipt changed to Disposition notification
[+] 2004-03-18: Multiple account options fully working
[*] 2004-03-18: Port specifications updated, Language corrections
[*] 2004-03-18: Some fixes and final tuning of new features 
[*] 2004-03-17: Port specification, part of the hostname
[*] 2004-03-17: Fixed some minor issues regarding the multiple account feature
[+] 2004-03-17: Color palette specification feature added
[*] 2004-03-17: Multiple account support testing, fixes, Mozilla updates
[*] 2004-03-17: HU lang updated
[+] 2004-03-16: Account colors added
[+] 2004-03-16: Multiple account support added, first version
[+] 2004-03-16: New Account settings menu added
[*] 2004-03-16: Processing rules confirmation added
[*] 2004-03-16: Processing rules, escape character fixed
[*] 2004-03-16: Copy to the same directory problem fixed
[*] 2004-03-16: The work on the new feature - Multiple remote accounts (POP3/IMAP)
[*] 2004-03-15: SK (Slovakian) language support added
[*] 2004-03-14: WAP vs. new Sort system problem fixed
[*] 2004-03-12: IT lang updated
[*] 2004-03-11: Some language corrections
[+] 2004-03-09: Groupware - related emails support added, Invitations support added, properly tested
[*] 2004-03-09: Search ereg escape chars support added
[*] 2004-03-09: Size sorting fixed
[*] 2004-03-09: EN Lang - "kB" label used
[*] 2004-03-08: CR - bwlist2.html typo fixed
[*] 2004-03-07: Settings certificate syntax checking added
[*] 2004-03-07: writemail.html Attachment label centered
[*] 2004-03-05: FR lang updated
[*] 2004-03-05: Reply string - Space added
[*] 2004-03-05: View message - open in new window JS problem fixed
[*] 2004-03-05: CSS - Unread messages in the text skins problem fixed
[*] 2004-03-05: Replying - Original message part included (Outlook like)
[*] 2004-03-05: Other confirmation dialogs added
[+] 2004-03-05: Address Book - Groups separated from Address Book
[+] 2004-03-05: Reply symbol feature added
[*] 2004-03-05: Completely redesigned the CSS to support arrows
[+] 2004-03-05: Sort arrow to all sorting options, new feature
[*] 2004-03-03: GrpShareMode default changed to A (Public & Friends)
[*] 2004-03-02: Refresh vs. timeout vs. previous action problem fixed
[*] 2004-03-01: Classic skin refresh - buttons disappearing problem fixed
[*] 2004-02-29: Signup Word Verification - case insensitive
[*] 2004-02-29: Calendar - Shared calendar not displaying users problem fixed
[*] 2004-02-29: SignUp Top logo position updated
[*] 2004-02-29: WAP - Missing date in the message list fixed
[*] 2004-02-27: IT lang updated
[*] 2004-02-27: CS lang updated
[*] 2004-02-25: Event - Year problem fixed
[+] 2004-02-25: Reply - Compose mail - Delete message new checkbox, allows deleting the old message for all (Reply, Forward, ReplyAll, Redirect...)
[*] 2004-02-25: Reply & Delete + delete on error FIX
[+] 2004-02-25: Black&White List Contains String From File - "&"
[*] 2004-02-25: Note sharing FIX
[*] 2004-02-25: on Add Event, Task, Note autofocus on TITLE
[*] 2004-02-25: Add Note sparing FIX
[*] 2004-02-25: Double click in readmail JS/CSS FIX
[*] 2004-02-25: Read message - normal font style
[+] 2004-02-25: Confirmation dialogs and setting added
[+] 2004-02-25: SignUp Word Verification new option added
[*] 2004-02-25: HTML Compose vs. Drafts problem fixed
[*] 2004-02-22: IT lang updated
[*] 2004-02-21: Outlook skins - JS message view access enhanced, immediate view, no slow down
[*] 2004-02-21: Outlook skins - expiration frames problem fixed
[*] 2004-02-19: Other group problems fixed
[*] 2004-02-19: Global Groups problem fixed
[+] 2004-02-19: Global Address book - Source option (DB/Flat) added
[*] 2004-02-18: Labels ":" added where missing
[*] 2004-02-18: Calendar settings/My friends bold text fixed
[*] 2004-02-18: <PRE> and Search long subjct CSS fixed
[*] 2004-02-18: All english constants - Upper case and lower case labels standardized according to Merak GUI
[*] 2004-02-18: Challenge Response - New actions issue fixed, completed and tested
[*] 2004-02-18: IT Lang updated
[+] 2004-02-18: Compose - Add attachment - leaves the original
[+] 2004-02-16: Challenge Response - New actions and states added - Reject, Delete, Mark As Spam, Accept
[*] 2004-02-16: Events list - empty space removed
[*] 2004-02-16: Address no name problem fixed
[+] 2004-02-16: Tasks sorting added
[*] 2004-02-15: ISO charsets CSS fix
[*] 2004-02-15: CSS/PHP fix for Subject title
[*] 2004-02-15: All icons from skin folders
[*] 2004-02-15: Frame protection added back
[+] 2004-02-15: Event list sorting added
[+] 2004-02-15: Access logging feature added
[+] 2004-02-15: Address Book - different icons for DB/Flat file source
[+] 2004-02-15: Global Address Book (GroupWare) feature added, Shared global addressbook (Admin Settings)
[*] 2004-02-10: CS lang updated
[*] 2004-02-06: Calendar Settings import fixed
[*] 2004-02-06: Other fixes
[*] 2004-02-06: Font size iso characters fixed
[*] 2004-02-06: CR Whitelist fixed
[*] 2004-02-05: Label changes - Cipher = Encrypted Login, View Events = View
[*] 2004-02-05: NT Password & Encrypted Login - Password hanlding for calendar added
[*] 2004-02-03: DE Lang updated
[*] 2004-01-31: Calendaring - GW MySQL problem fixed
[*] 2004-01-30: Skin fixes and others
[*] 2004-01-30: Sign-up - domain @ entered ignored, used the one from the list
[*] 2004-01-30: Challenge Response - new settings menu item

5.2.3 [2004-01-29]
[*] 2004-01-29: IT Lang updated
[*] 2004-01-28: BWList and BWList2 - no items label displayed
[*] 2004-01-28: Signup + Notification problem fixed
[*] 2004-01-28: Some small fixes
[+] 2004-01-28: Address book export feature added, Import changes
[*] 2004-01-28: DE Lang updated
[+] 2004-01-27: First version of Outlook Import like feature introduced, selectable columns, types, skip 1st row etc.
[*] 2004-01-26: PT Lang updated
[+] 2004-01-25: Outlook skins - faster mail reading (3x)
[*] 2004-01-25: WAP Changes
[+] 2004-01-25: Challenge Response - Pending Messages - Black & White actions allowed
[*] 2004-01-25: Charset fix
[+] 2004-01-25: Tasks - Recurrence support added
[*] 2004-01-22: PT Lang updated
[*] 2004-01-21: IT Lang updated

5.2.2 [2004-01-19]
[*] 2004-01-19: Attachment decoding vs. mbstring problem fixed
[*] 2004-01-19: Account Settings - Password shadow **** support added
[*] 2004-01-19: Cipher Login - Password retrieval API added
[+] 2004-01-19: Cipher Login - SHA1 used instead, much stronger, final testing
[*] 2004-01-18: Cipher Login - All major skins support added, testing etc.
[+] 2004-01-18: Cipher Login - new feature added, MD5 challenge string login mechanism added (secure login even on HTTP)
[*] 2004-01-18: Calendar Week view - Holidays background changed
[*] 2004-01-18: printmail.html fix
[*] 2004-01-18: WAP - mbstring fix
[*] 2004-01-18: Global Address Book - fix
[*] 2004-01-12: Account settings - Password change vs. Error (Pass Policy) handling added
[*] 2004-01-11: Outlook skins signup pages fixed
[*] 2004-01-10: Address book - label fix

5.2.1 [2004-01-09]
[*] 2004-01-08: SetMessageFlag - checking of empty filename added
[*] 2004-01-08: Disk quota division by zero fixed
[+] 2004-01-08: Challenge Response section - greatly enhanced, possibility to use different displays, to see the messages waiting to be authorized and much more, Show tab only if enabled
[*] 2004-01-08: Disable Calendaring fixed
[+] 2004-01-08: Holidays - Months support added, Display Holiday Views feature added
[*] 2004-01-08: Message RFC822 Violation, displaying fixed (\x00)
[*] 2004-01-07: Force SSL - problem fixed
[*] 2004-01-07: Auto refresh problem vs. skin fixed
[+] 2004-01-05: Challenge Response - vastly improved, search capabilities added, sorting and more
[*] 2004-01-05: Title - Default Time Zone shorter
[*] 2004-01-05: Attachment divider - complete line width
[*] 2004-01-05: Outlook 2000 and 2003 other fixes
[!] 2004-01-05: Internet Explorer 6.0 POST multipart, large data, results in very slow uploading, 8k chunks, IE bug...???
[+] 2004-01-05: WebMailAPIFunction - DBEncryptPassword added
[*] 2004-01-05: Filter.php problem fixed
[*] 2004-01-05: Outlook 2000 and 2003 constants fixes
[*] 2004-01-04: Final fixes
[*] 2004-01-04: Holidays label & title added
[*] 2004-01-04: All skins redesigned and added CSS for all tags
[*] 2004-01-04: Few fixes and Skin enhancements, final changes
[*] 2004-01-03: Some fixes
[+] 2004-01-03: New Outlook 2000 skin replaces old Outlook, faster, smaller, compatible with IE5.0 and Mozilla 6, new scroll bar system
[+] 2004-01-02: New Outlook 2003 skin, faster, smaller, compatible with IE5.0 and Mozilla 6, new scroll bar system
[*] 2004-01-02: New JS readmail.html
[*] 2004-01-02: Other skin and JS changes, Refresh updated etc.
[+] 2004-01-02: Challenge Response B&W list feature added (every user can manage their own list)
[*] 2003-12-31: Setup - New Icon created
[*] 2003-12-31: Address Book - Spanning fixed
[*] 2003-12-31: CS Lang updated
[*] 2003-12-29: Welcome Page vs. template problem fixed
[*] 2003-12-29: Folders.html typo fixed
[*] 2003-12-28: DE Lang updated
[*] 2003-12-28: Simple Integration vs. Admin flag issue fixed
[+] 2003-12-27: Setup - New design added, Logo added
[*] 2003-12-27: B&W List problem fixed
[*] 2003-12-26: IT Lang updated
[*] 2003-12-26: Vastly used CSS, conversions
[*] 2003-12-26: Address Book - Default DB
[+] 2003-12-24: New RegEx engine adde (Perl 5 compatible), Setup installs regex.dll
[+] 2003-12-22: Calendar - Holiday Support Added (Day & Week)
[*] 2003-12-19: Setup - PHP DLL Redirection webmail.exe.local added
[*] 2003-12-18: All Langs costants updated with the Empty category
[*] 2003-12-18: Calendar - New Empty Category Added
[*] 2003-12-18: Skins - Address Book Item formatting fixed
[+] 2003-12-18: Calendar - Views Print added
[*] 2003-12-17: Calendar JS Windows - Displays the selected Month and Year
[*] 2003-12-17: Events - All Day Events - 1 Day duration, possible to set longer duration, Controls disabled
[+] 2003-12-17: Oldwebmail skin - Calendar support added
[*] 2003-12-17: DE Lang updated
[+] 2003-12-16: Windows1250 - Charset encoding/decoding added
[*] 2003-12-16: Outlook Skin - Folders - Scroll bar fixed
[*] 2003-12-16: FR Lang updated
[+] 2003-12-14: Outlook Skin - Windows font used (Outlook like)
[+] 2003-12-14: HotMail skin - Calendar support added
[*] 2003-12-14: Event List - Mozilla space fixed, Settings title updated, Public URL Calendar Settings Link added
[*] 2003-12-14: External View - Categories - User Defined not possible, Sharing Settings away
[*] 2003-12-14: Outlook Skin - Mozilla - Border Login, Notes Folder, Empty Send
[*] 2003-12-14: New OpenSSL-0.9.7c engine used 
[*] 2003-12-12: Event List - delete button TD width added
[*] 2003-12-12: NL Lang updated
[*] 2003-12-11: WebServerEngine - POST handling - Handling unwanted data (CRLF) added
[+] 2003-12-11: Event List - User definable Category selection and filter category list feature added
[*] 2003-12-11: Schedule - Other skins fixed
[*] 2003-12-11: JSHide = Default ON
[*] 2003-12-11: Events - Repeating Default 1 Year, Month Of Year Month names added

5.1.0 [2003-12-11]
[!] 2003-12-11: Release Date
[*] 2003-12-09: Other tweaking
[+] 2003-12-09: Certificates - Default settings values added Sign & Encrypt
[*] 2003-12-08: Final Sharing & Terminology issues
[+] 2003-12-08: User Certificate support - Import from PEM, P7C and CER formats added
[*] 2003-12-07: Writemai - Cc & Bcc problem fixed
[*] 2003-12-07: PHP - Old imap.dll used for WNT compatibility problems
[+] 2003-12-05: Account Creation Notification new option added
[+] 2003-12-05: Icelandic Lang added
[*] 2003-12-05: Groups remove item problem fixed, Cert icon updated
[+] 2003-12-04: S/MIME message - certificate icon displayed
[*] 2003-12-04: Final design changes
[*] 2003-12-04: Few design changes
[!] 2003-12-03: Version ready to be released
[+] 2003-12-03: Contact Items - redesigned, Events, Tasks, reminders, other controls redesigned
[+] 2003-12-03: Settings - Certificates new section added, Passphrase, certificate, certificate info
[+] 2003-12-03: S/MIME fully implemented, requires a public certificate in the address book and a full certificate in the users settings directory
[+] 2003-12-02: Writemail.html - Encrypt & Sign checkboxes added
[*] 2003-12-02: Events - Designed updated
[+] 2003-12-02: S/MIME decoding added, first working version
[+] 2003-12-02: S/MIME implementation, first rough version
[+] 2003-12-01: Anonymous calendar views implemented
[*] 2003-12-01: Year view - private events problem fixed
[*] 2003-12-01: Address book import - new page standalone
[*] 2003-12-01: Events - Time Zone - Default named
[*] 2003-12-01: New Mail - JS setfocus issue fixed
[*] 2003-12-01: Address book import - new page standalone
[+] 2003-12-01: New address book system created, much more options and properties
[+] 2003-12-01: Calendaring Contacts support added, Admin settings option added
[*] 2003-12-01: Setup - WebMail - secur32.dll installed if not present on the system, openssl.dll installed
[+] 2003-11-29: IntegrateInclude - new WebMail Integration Extension used
[+] 2003-11-29: IceWarpPHP - icewarp_webmailfunctioncall added - instead of the COM object, WebMail files updated and used the new command
[*] 2003-11-29: DK Lang updated
[*] 2003-11-28: Calendar - Events Duration problem fixed
[+] 2003-11-27: Anonymous Calendaring Access support added http://server/schedule.html/emailaddress
[+] 2003-11-27: Complete charset encoding and decoding added
[*] 2003-11-27: Calendar settings no login fixed
[+] 2003-11-27: Show Source feature added
[*] 2003-11-25: Web Server Engine - PHP - ISAPI Mode used by default - DisableISAPI option renamed
[*] 2003-11-25: Setup - installs icewarpphp.dll & mbstring.dll
[+] 2003-11-25: IceWarpPHP - PHP Extension created - called instead of COM objects
[*] 2003-11-25: DE Lang updated
[+] 2003-11-24: Message Composing - Automatic email address inserting when typed in the name of the address book item (Outlook like)
[+] 2003-11-24: Outlook skin - View message - open in new window button added
[*] 2003-11-24: Event Mutiple Reminders - Duplicity problem fixed
[+] 2003-11-23: Tasks - Start Date & No Start Date added
[+] 2003-11-23: Notes - Sharing possible
[+] 2003-11-23: Events Sharing - completed - Considers Busy, Private and Public flags
[*] 2003-11-23: Events outside - Working Hours displayed working hours
[*] 2003-11-23: Calendar - unimportant API calls removed
[*] 2003-11-21: Some calendar changes, enhancements done, numeric show2number fixed
[*] 2003-11-20: English Spell Check new dictionary
[*] 2003-11-20: IT Lang updated
[*] 2003-11-19: Message-ID - @domain added
[+] 2003-11-19: External Calendar Views - tested
[+] 2003-11-19: Fixes, Calendar Settings - External Calendar, Left Menu Tasks auto hide if full
[+] 2003-11-18: Settings - redesigned
[*] 2003-11-18: Minor changes, Mozilla etc.
[+] 2003-11-18: New features - User Date/Time Format, Time Zone, Account Settings To Settings
[*] 2003-11-17: IT Lang updated
[*] 2003-11-12: Expiration days - Floor added
[*] 2003-11-12: Mozilla & Opera JS compatibility issues fixed - Mozilla & Opera compatible
[*] 2003-11-11: Add Event SQL2000 "*" Problem fixed
[*] 2003-11-11: Calendar - Working Hours till 23H
[*] 2003-11-10: Settings - Other titles added
[*] 2003-11-10: Calendaring & others HTMLSpecialChars
[+] 2003-11-08: Calendaring - Tasks - Reminder support added
[*] 2003-11-08: Processing rules - HTMLSpecialChars used
[*] 2003-11-07: Other fixes
[+] 2003-11-07: Administrator Settings - Disable Calendar new option
[+] 2003-11-07: Calendar Left menu - separate CSS
[+] 2003-11-07: Section Titles
[*] 2003-11-07: Global Groups fixed
[+] 2003-11-07: Section Titles
[+] 2003-11-07: HTML Composing - Fully convertible Text <-> HTML vs. View Source 
[*] 2003-11-06: PHP 4.3.4 Attachment problem fixed
[+] 2003-11-06: All text skins - Calendar menu
[+] 2003-11-06: Message-ID: Header added when sending a message
[+] 2003-11-05: New PHP engine 4.3.4
[+] 2003-11-05: Web Server Engine - ALL_HTTP Full support added
[*] 2003-11-04: Language synchronization routines updated
[+] 2003-11-03: New PHP engine 4.3.3
[+] 2003-11-03: Calendar export import XML, time zones, group friends
[*] 2003-11-03: Address with ",", other fixes
[+] 2003-11-03: Calendar constants
[*] 2003-11-02: Web Server Engine - Windows - dot at the end of file FileExists problem solved
[+] 2003-10-24: HTML Composing - Mulitpart/Alternative used - HTML Message stripped and created a new text/plain part, 100% Outlook Compatible
[+] 2003-10-16: Black & White List Enable/Disable added - API Call
[*] 2003-10-16: $noheadercache removed - bwlist.html, readmail.html, blankskin.html
[+] 2003-10-16: Calendar - Notes, first complete version ready, tests and fixes
[+] 2003-10-16: Outlook Skin - Settings - Complete Menu added
[*] 2003-10-15: Forward - message enclosed IMAP last char problem solved
[*] 2003-10-15: IMAP - Save Copy To Sent / Drafts IMAP issue solved
[*] 2003-10-15: Administrator flag inheritance updated, should not cause any problems now
[*] 2003-10-14: Calendar - new views Day and some other new features, Settings
[+] 2003-10-14: HTML Messages Viewing - BASE HREF filtered out
[*] 2003-10-13: Calendar - new views Year, Month, Week and many more
[+] 2003-10-13: User Folder names definition - Sent, Drafts, Deleted - New settings menu added
[*] 2003-10-13: WebServer Engine - ISAPI - PHP Memory leak work around used - ISAPI Reload feature added, ISAPI can be used now
[*] 2003-10-11: Calendar changes, routines, fixes
[+] 2003-10-11: Users.dat (Great Speed Enhancement) - Routines completely changed and enhanced, Users.dat no more needed, User.dat in the user's directory
[*] 2003-10-11: FR lang updated
[*] 2003-10-11: Groupaction.html problem fixed
[+] 2003-10-10: First calendar interface testing started, Outlook Skin, Server Connections, Events, Tasks, Calendar views....
[+] 2003-10-10: New session system used (Great Speed Enhancement) - Session ID is a directory now... faster multi user access
[*] 2003-10-09: Logout.html - URL SSL Problem fixed
[*] 2003-10-09: Groups, Address books and other changes (Outlookskin +JS framesize over/underflow, max/min size +CSS font +view - Up/Down button fix +parent.fread.main.folder JS error + 800x600 ready Other +Groups fix +Groupitem on ISAPI +Copy/move with MoveToTrash
[*] 2003-10-09: PDF Manual changes
[+] 2003-10-06: New PDF Manual added - completely rewritten
[*] 2003-10-06: SSL Port Default empty
[*] 2003-10-06: Outlook Skin - Changes
[*] 2003-10-04: Outlook Skin - Read flag - Font to normal reflection added
[*] 2003-10-04: Outlook Skin - ISAPI JS Problem fixed - readmail.html
[*] 2003-10-04: Administrator Settings - Test Integration Button removed, no longer needed
[*] 2003-10-04: Uuencode attachments retrieval problem fixed
[*] 2003-10-04: Processing Rules - [] Reg Ex fixed
[*] 2003-10-02: Outlook skin changes
[*] 2003-10-02: SP lang updated
[*] 2003-10-02: IT lang updated

4.2.1 [2003-10-01]
[+] 2003-10-01: WebMailCOM - All account manipulation done via PIPEs - Control Svc, no more API usage, faster and safer
[+] 2003-09-30: Outlook Skin enhancements
[+] 2003-09-29: Calendaring project started (Communication with Merak Calendaring Server)
[+] 2003-09-29: Outlook Skin enhancements
[*] 2003-09-27: DE lang updated
[*] 2003-09-26: PT lang updated
[+] 2003-09-25: Final Outlook skin updates
[*] 2003-09-25: Final Look changes - Action Menu divider used
[+] 2003-09-24: New Outlook Like Genuine skin added (Professional Look & Feel)
[*] 2003-09-18: CID Message Images processing enhanced
[+] 2003-09-15: Default Store Mail In Merak Folders
[*] 2003-09-13: Save Copy To Sent Folder problem fixed changeindex
[*] 2003-09-13: View - RFC violation CRLF.CRLF problem fixed
[*] 2003-09-13: Search & Write - JS problem fixed
[*] 2003-09-12: Setup - StayOnTop Disabled
[*] 2003-09-11: Setup - Uninstall - setup.exe is not deleted - safety reasons
[*] 2003-09-11: Uuencode detection enhanced
[*] 2003-09-11: OldWebmail skin B&W List problem fixed
[*] 2003-09-11: Auto SSL Login - logout problem fixed
[*] 2003-09-10: Outlook & Netscape CSV Import enhanced - both ";" and "," supported - Some outlooks export both of the chars although it should be a comma
[+] 2003-09-10: Settings - Left menu added - looks much better
[+] 2003-09-10: https:// Link support added
[*] 2003-09-10: FI lang updated
[*] 2003-09-10: All languages - CRLFs after ?> removed, they must not be there! else attachment content altered
[*] 2003-09-08: Send.html CheckSession added
[+] 2003-09-08: Readmail.html - Graphic quota added
[+] 2003-09-08: View.html - Direct B&W list control added - From & Subject
[*] 2003-09-08: IT lang updated

4.2.0 [2003-09-07]
[*] 2003-09-07: \r\n used
[+] 2003-09-07: Merak B&W List user editing added, properly tested
[*] 2003-09-07: Compose Mail - Textarea enlarged
[+] 2003-09-04: Setup - Upgrade - Leaves the services completely in their previous state (Does not remove and install them)
[+] 2003-09-03: Setup - Merak PowerPack detection routines added
[+] 2003-09-02: Print - Opens a new window
[*] 2003-09-02: Attachment input fields - enlarged
[*] 2003-09-02: Settings input fields - enlarged
[*] 2003-09-02: Search feature final tests
[*] 2003-08-29: ISAPI/CGI - SERVER_NAME contains the IP back again - virtual IP binding - hostname problem
[+] 2003-08-28: SSL Login - feature added
[+] 2003-08-28: Search feature added
[*] 2003-08-28: German language updated
[+] 2003-08-26: WebEngine - config.cfg - Redirect - Complete redirect support added - HTTP, HTTPS, Relative Paths, Redirect to other servers, * support added
[*] 2003-08-25: Many folders ... ".=" problem fixed - used implode
[*] 2003-08-24: Readmail & Rules processing enhanced
[*] 2003-08-24: Send Message page design updated
[*] 2003-08-24: Email URL - Opens a new window
[*] 2003-08-24: Customer mailbox quota - Merak - problem fixed

4.1.9 [2003-08-18]
[*] 2003-08-18: View Message - 00 replaced to ""
[*] 2003-08-16: SSL Login problem fixed
[*] 2003-08-16: Importing Enhanced (Extension insensitive, @ Checking etc.)
[*] 2003-08-14: Some other minor changes
[+] 2003-08-14: Compose/Write mail new design
[*] 2003-08-14: Address Books - Groups display limit added
[+] 2003-08-14: Processing Rules  new option added
[+] 2003-08-14: Force SSL - new Option added
[+] 2003-08-14: Folder Indexing added - Speed up for multiple large folders
[*] 2003-08-10: Import problem fixed
[*] 2003-08-10: Default Language problem fixed
[*] 2003-07-31: Setup - Finish button disabled during the processing
[*] 2003-07-31: Swedish lang updated

4.1.8 [2003-07-30]
[*] 2003-07-30: Empty user properties array order fixed
[*] 2003-07-30: Import for Global Address book added
[*] 2003-07-30: Groups support for Global Address book added
[*] 2003-07-29: ConvertQuoted - Body - NoTrim used
[*] 2003-07-29: First Login - shownumber and show2number fixed
[*] 2003-07-25: Redirect fixed
[*] 2003-07-24: Address Book - User and Users GIF
[+] 2003-07-21: New Write Mail Address Book usage added
[+] 2003-07-21: Greatly Improved Address Book, Groups, Importing Features (Outlook, Outlook Express, Netscape)
[*] 2003-07-20: Redirect feature - double CRLF.CRLF problem fixed
[*] 2003-07-18: All Language files - added missing translations - automated conversion tool
[*] 2003-07-16: Each login - Merak Full Name retrieval added

4.1.7 [2003-07-14]
[+] 2003-07-14: Indexing features added - COM Object & API
[+] 2003-07-14: Spam folder support added
[*] 2003-07-12: Languages - Alphabetical order
[*] 2003-07-12: PT lang updated

4.1.6 [2003-06-22]
[+] 2003-06-22: Redirect feature added - lets you forward the message in your mailbox to any email address
[*] 2003-06-20: Readmail - display time problem fixed
[*] 2003-06-20: Username case insensitive
[+] 2003-06-19: Delete Trash Messages Older Than new option added
[+] 2003-06-19: Store Mail Folders In Merak Mail Folder new option added
[*] 2003-06-17: Swedish & Finish Languages updated/added
[*] 2003-06-16: IMAP Inbox subfolders support added
[*] 2003-06-16: First Account Login Directory Creation Problem Fixed
[*] 2003-06-14: Setup - Hour Glass Cursor added
[*] 2003-06-11: DiskQuota Size Rounding added
[*] 2003-06-09: French & Portugese language updated
[*] 2003-06-08: Account Menu Settings || Separator Added
[*] 2003-06-06: WebMailCOM - Direct Delivery problem fixed
[*] 2003-06-06: Attachment name encoding and decoding problem fixed

4.1.5 [2003-05-27]
[*] 2003-05-27: New - Setup Look added
[*] 2003-05-25: Merak Integration - User Quota - User Quota from Merak used in webmail - global webmail option bypassed if set in Merak
[*] 2003-05-22: Received header time - strtotime used
[*] 2003-05-21: Setup - Progress Bar added, Progress window removed
[+] 2003-05-20: Default HTML Composing option added
[*] 2003-05-13: Attachment name encoding added
[*] 2003-05-13: HTML Area - Enter = <BR> added
[*] 2003-05-12: Compose - To Address - No Name if same as email
[*] 2003-05-11: IP Address Checking - Cookie MD5 Hash Of ID and Username - Cannot be forged, Security issue fixed, Session ID protection
[*] 2003-05-11: Quota exceed problem fixed
[+] 2003-05-10: Full support for multipart/alternative added
[+] 2003-05-09: Recursive folders support added
[*] 2003-05-09: ValidateFolder enhanced
[*] 2003-05-09: Slovenian Lang added
[+] 2003-05-09: Virtual Hosts - Global Groups Book different for each host
[+] 2003-05-09: Virtual Hosts - Global Address Book different for each host
[*] 2003-05-06: Address Book page full size added
[*] 2003-05-06: SpellCheck HTML - Replace added
[*] 2003-05-05: PT language updated
[*] 2003-05-05: IT language updated
[-] 2003-05-03: ReplyAll - CC problem fixed
[-] 2003-05-02: WebMail.exe CGI/ISAPI Memory leak fixed

4.1.4 [2003-04-29]
[+] 2003-04-29: Web Server Engine - Max CGI Processed option implemented - config.cfg
[*] 2003-04-29: AccountSettings - Incoming Server Pass - Password Type
[+] 2003-04-29: View - Show Full Headers feature added if not displayed
[+] 2003-04-25: Mark as Read and Mark as Unread actions added
[*] 2003-04-24: New PHP Engine 4.3.1 added
[*] 2003-04-24: WebSrv Engine - CGI - CONTENT_LENGTH item removed
[*] 2003-04-24: Invalid MIME Quoted Printable coding handling added

4.1.3 [2003-04-22]
[*] 2003-04-22: WebMail COM Object - Uses Defaults if enabled
[*] 2003-04-19: Welcome page - welcome.inc include support added - Edit and create welcome.inc
[*] 2003-04-18: Large number of users - made faster processing
[+] 2003-04-18: New HotMail Skin added
[*] 2003-04-18: MIME Parsing "" problem fixed
[-] 2003-04-16: Attachment - PHP bug content-length fixed once for all
[*] 2003-04-14: Attachment - PHP bug content-length set to none
[*] 2003-04-14: Cookie problem fixed - IP Checking - can be turned on easily even on proxies changing their IPs now
[*] 2003-04-14: Admin_Settings - $other updated
[*] 2003-04-14: readmail.html updated
[*] 2003-04-14: Classic4 skin updated
[*] 2003-04-14: ES and DE langs updated
[*] 2003-04-13: HTML Composing spell check problem fixed
[*] 2003-04-13: HTML Composing vs. SSL problem fixed - IE Dialog
[*] 2003-04-13: Attachment Field size enlarged

4.1.2 [2003-04-11]
[+] 2003-04-11: Old Admin URI - redirect added
[+] 2003-04-11: Forward As Text - HTML fixed - Send HTML must be checked
[+] 2003-04-11: Disable HTML Composing feature added
[+] 2003-04-11: Welcome Page fixed
[+] 2003-04-11: Login default language considered
[+] 2003-04-11: Hungarian language added
[+] 2003-04-10: Webmail user path setable - Admin Settings - new option added
[+] 2003-04-10: Signature At The Top - new feature added
[+] 2003-04-10: Auto Responder - Respond Once feature added
[*] 2003-04-09: Attachment cache removed - could not open attachments directly from IE (IE Bug)
[*] 2003-04-09: * Account settings added
[*] 2003-04-09: View - Subject fixed
[+] 2003-04-09: HTML Reply support added
[*] 2003-04-09: ob_gzhandler switched off for attachments. Fixes plenty of bugs (Browser bugs) (Netscape vs. Attachments, Extension name etc.)

4.1.1 [2003-04-08]
[-] 2003-04-08: Self with not registered webmail problem fixed
[*] 2003-04-08: Other Netscape compatibility issues solved
[*] 2003-04-08: CSS Made compatible with Netscape
[-] 2003-04-08: ValidateFolder ("..") problem fixed
[-] 2003-04-08: Subject Trim added

4.1.0 [2003-04-06]
[*] 2003-04-06: Some routines made running faster
[*] 2003-04-05: WebMail - PHP reply problem fixed
[+] 2003-04-04: Jabber applet added
[*] 2003-04-03: HTML compose - special cases solved
[+] 2003-04-02: Message list sort directions saving added
[+] 2003-04-02: Message list sort directions added
[+] 2003-04-02: Few things enhanced
[+] 2003-04-01: Charset specification added
[+] 2003-04-01: Merak IMAP - support added
[+] 2003-04-01: HTML message composing added (works from IE 5.5)
[+] 2003-04-01: Some smarter handling for Write flags (WriteSentCopy, SendHTML) added
[+] 2003-04-01: New webmail PHP added

3.5.2 [2003-03-31]
[-] 2003-03-31: Template.dll copied
[*] 2003-02-07: Readmail.html Subject - Unicode support added
[*] 2003-01-31: SSL Cache problem fixed, caching off for index.html, attachment.html, self.html and writemail.html
[+] 2003-01-31: Proxy HTTP/1.1 support added

3.5.1 [2003-01-20]
[-] 2003-01-20: Web Srv - URL hostname "+" problem fixed
[*] 2003-01-19: HTML embedded cid fixed
[*] 2003-01-19: Reply All - Incomplete email fixed
[*] 2003-01-19: Security Hole - Folder containing ".." cannot be manipulated, Any filename containing ".." cannot be manipulated
[*] 2003-01-15: Internet Explorer bug - HTTP/1.0 and HTTP/1.1 correct headers used
[*] 2003-01-14: Internet Explorer bug - SSL vs. no-cache header problem fixed by a workaround
[-] 2003-01-10: Debug variable echo uid removed
[-] 2003-01-06: Quoted Printable - crlf problem fixed
[-] 2003-01-03: UIDL - containing "-" problem fixed
[-] 2003-01-03: Send as Html - Save To Drafts problem fixed

3.4.9 [2002-12-17]
[-] 2002-12-17: WAP - Message Forward - forward file Merak problem fixed
[*] 2002-12-13: Pragma: no-cache header added

3.4.8 [2002-12-10]
[*] 2002-12-10: Attachments - $contenttype = "application/octet-stream"; - did not work with GZIP
[*] 2002-11-29: Proxy Server - Filters - Filter Cache added
[*] 2002-11-29: Proxy Server - Filters - Enhanced, Logging added
[*] 2002-11-28: Proxy Server - Filters - RegEx for URLs added
[*] 2002-11-28: Proxy Server - Filters - Support for Default values (0, 1), super for explicit override values added (0:, 1:)
[*] 2002-11-28: Proxy Server - Logging enhanced - CONNECT logging added, Received and Sent items added
[*] 2002-11-27: Message-ID standard message view removed
[*] 2002-11-18: Multiple layout support added
[*] 2002-11-17: Support for gzip compression added - for low bandwidth connections
[*] 2002-11-17: PHP - Zlib support added
[*] 2002-11-17: Web Server engine - Support for HTTP_ACCEPT_ENCODING added, CGI Binary used always

3.4.7 [2002-11-07]
[*] 2002-11-07: WAP - Conversion of "-" to &shy; removed, many devices do not suppot that
[*] 2002-11-06: To,Cc,BCc Header encoding changed, email address is not encoded, only the name

3.4.6 [2002-10-31]
[*] 2002-10-31: Sanitized "Full Name" Writemail.html and other
[*] 2002-10-29: EmailLogin requires email address always
[-] 2002-10-29: Signup process fixed problem
[*] 2002-10-27: New OpenSSL-0.9.6g engine used
[*] 2002-10-27: When using EmailLogin Login User displays Email Address

3.4.5 [2002-10-23]
[+] 2002-10-23: Admin option - Login with Email added - for Merak servers only.
[*] 2002-10-20: Write Message - send.html redirect script added - Expiration error fix
[*] 2002-10-17: Account Settings - Email only text
[+] 2002-10-17: Forwarder support added
[+] 2002-10-17: Auto Responder support added
[-] 2002-10-15: Web Server engine - External Modules - HTTP/1.1 Connection: close added
[*] 2002-10-11: IP Address Checking made more secure. Uses Cookies. It is safe to use IP checking back again
[*] 2002-10-08: WebMailCOM AuthenticateUser - CheckAccount function added

3.4.4 [2002-10-04]
- 2002-10-03: include.html sess.dat empty $line problem fixed
- 2002-10-01: Setup - Deletes all previous menu items
- 2002-09-28: User Adding - password must not be empty
- 2002-09-28: IP Address Checking option added
- 2002-09-26: WAP - Special character handling totally enhanced
- 2002-09-26: Webmail CGI default changed

3.4.3 [2002-09-18]
- 2002-09-18: Polish - indeks.html -> index.html

3.4.2 [2002-09-11]
- 2002-09-11: Setup - contains regsvr32
- 2002-09-10: About - mail.icewarp.com changed to mail.domain.com
- 2002-09-10: New PHP 4.2.3 engine added
- 2002-09-10: Message compose - dot at the beginning of the line problem fixed
- 2002-09-09: WebMailCOM object added support for Forward To and Autoresponder (HTML not implemented yet)
- 2002-09-09: Setup - Previous menu items remove proc added
- 2002-09-08: readmail.html - Refresh Interval support added
- 2002-09-08: Self Creation - Merak integrated does not create user in webmail by default (only on Merak)
- 2002-09-05: WebmailCOM - COM vs. ODBC Multi Thread problem fixed, new webmail com used
- 2002-09-03: Used include_once - $noinclude used no more
- 2002-09-03: Webmail View.html Move mail gets back to the original folder
- 2002-09-03: Web engine - FORM POST RFC822 - TAGS containing "+" or "%" problem fixed
- 2002-09-03: Incorrect Mime headers handling added ":"
- 2002-08-30: PHP Max execution time 240 secs
- 2002-08-19: New PHP 4.2.2 engine used
- 2002-08-16: Setup - messagebox - sometimes gets stuck problem fixed
- 2002-08-05: WAP - View.wml - Multipart message problem fixed
- 2002-08-05: Folders.html </TABLE> removed
- 2002-07-17: Russian language added
- 2002-07-16: PHP Engine - Support for Cookies added
- 2002-06-13: Use_ISAPI Added 1 more value: 2 (possible values: 0,1,2 0 - disabled, 1 - Enabled, 2 - Enabled with special blocking non shared mode)
- 2002-06-13: Alias losing problem fixed - WebMail COM object
- 2002-06-12: PHP Max execution time set to 120 secs
- 2002-06-12: Config.cfg - new item Use_ISAPI added for disabling ISAPI and using CGI only
- 2002-06-03: COM objects released
- 2002-05-31: GetEmail - function \16 problem fixed
- 2002-05-31: Attachment download correct name problem fixed
- 2002-05-27: Changepass param changed, password checking and other added
- 2002-05-27: Swedish, Turkish and Norwegian language added
- 2002-05-26: Get MIME part HTML rfc822 1 part message considered and fixed
- 2002-05-20: Links TITLE attribute added - complete string appears
- 2002-05-20: PowerPack COM object checking added
- 2002-05-20: Version and license displayed on the logon page
- 2002-05-15: Changed PHP ISAPI support to version 4.2.1
- 2002-05-15: WebMail COM object - changed to threaded COM object
- 2002-05-02: "/\" attachment encoding added
- 2002-05-02: Web Mail COM - CheckUser added (Disabling and other)
- 2002-04-30: Brand New Virtual Host system added
- 2002-04-23: groupitem.html WRAP=OFF
- 2002-04-23: viewaction.html move problem fixed
- 2002-04-21: include.html - Session file renamed to sess.dat
- 2002-04-17: Delete UID function changed
- 2002-04-17: include.html - user length set to 128 (previous 64 caused long names to expire after logon)
- 2002-04-16: Hebrew language added
- 2002-04-16: selfaction.html Security hole fixed
- 2002-04-11: New hotmail background changed to white, logo moved to left
- 2002-04-11: incorrect MIME type specification in messages problem fixed
- 2002-04-11: getmailname function plain from email problem fixed
- 2002-04-07: Bcc drafts problem fixed
- 2002-04-05: Portugese language added
- 2002-04-04: HTML WRAP VIRTUAL used
- 2002-04-03: Drafts - Subject, To, Cc length problem fixed
- 2002-04-01: SSL Read/write - changed to Non-blocking mode
- 2002-03-29: Compose - recipient fileds containing <> inside "" problem fixed
- 2002-03-28: Setup detection of Merak lower than 4.4.1 warning added 
- 2002-03-26: Arabic language added (languages.html)
- 2002-03-26: WAP - View message - Next and Prev items added
- 2002-03-26: Load Config - empty settings.dat handling added
- 2002-03-26: Merak Integration Domain IP binding problem fixed - ISAPI SERVER_NAME var used
- 2002-03-26: UID - Unix servers problem fixed
- 2002-03-25: Send error - HTMLSpecialchars added
- 2002-03-25: Convert Value function for FORM-MULTIPART-DATA changed
- 2002-03-25: Polish language added

3.3.2 [2002-03-24]
- 2002-03-24: Default layout is Old Hotmail. Old IceWarp Web Mail can always be set to be default in the admin section
- 2002-03-23: Some text changes added
- 2002-03-23: Few new languages added

3.3.1 [2002-03-15]
- 2002-03-15: German language support added
- 2002-03-15: Dutch language support added
- 2002-03-14: ID session also checks the IP of the user. That way nobody can use the session ID unless from the same IP
- 2002-03-14: IMAP and Merak FlagsExt.dat updated when changed flags
- 2002-03-14: Support for Linux ISpell added
- 2002-03-12: "_" in quoted printable encoding added
- 2002-03-11: Help JS problem fixed
- 2002-03-11: All HTML pages HTTP Expires header added
- 2002-03-11: Web Server - If-Modified-Since support added - no more subsequent image downloading
- 2002-03-10: Danish language support added
- 2002-03-10: ISAPI Support for HTTP AUTH added
- 2002-03-08: Web Mail header Priority: High support added
- 2002-03-08: List Header alignment left added
- 2002-03-07: Attachment compatibility with other PHP systems enhanced
- 2002-03-07: New UID system added for non integration versions
- 2002-03-07: mkdir() rights added 0750
- 2002-03-07: Because of some mail client bug (Lotus) Content-ID attachments are always visible however they should be not
- 2002-03-06: ISAPI parsing speed enhanced
- 2002-03-06: IsBlank write mail spell checker function added
- 2002-03-06: ISAPI Recovery system added
- 2002-03-05: ISAPI POST enhanced
- 2002-03-04: Settings.html - Layout or Language changed Redirect so the change takes effect immediately
- 2002-03-04: ISAPI support enhanced
- 2002-03-03: Write Mail - More button for Attachments added
- 2002-03-03: ISAPI support changed for PHP
- 2002-03-02: Write Mail - Signature (CRLF added), Settings Signature CRLF added
- 2002-03-02: SSL functions WaitForData enhanced
- 2002-03-01: Support for multiple languages - please send us your own languages we shall add them
- 2002-02-27: Removed integrate.exe and spellcheck.exe
- 2002-02-27: Login.html Redirect problem fixed
- 2002-02-27: Address Book - writemail.html Names with quotes problem fixed
- 2002-02-27: Attachment listing space.gif added
- 2002-02-27: ISAPI module and COM properly tested
- 2002-02-27: COM Object added for Spell Checker
- 2002-02-27: COM Object added for Merak account handling
- 2002-02-26: COM Object for Merak integration finished
 
3.1.4 [2002-02-25]
- 2002-02-25: User - Global Address - when admin you can do changes
- 2002-02-25: Opera Login problem fixed
- 2002-02-24: ISAPI module ready for next release - speed performance enhanced
- 2002-02-24: Read Mail - Sent Folder - To sorting fixed
- 2002-02-03: Support for multiple/alternative added
- 2002-02-02: Support for uudecoding added - attachments
- 2002-02-01: Support for service binding to multiple IPs added
- 2002-01-27: JavaScript images loaded only for the icewarp web mail skin
- 2002-01-27: Quoted Printable attachments - correctly parsed
- 2002-01-27: Content-Disposition - attachment name unknown problem fixed
- 2002-01-25: Message sending - Result of the DATA command message added. Fixed "354 Enter mail, end with "." on a line by itself "

3.1.3 [2002-01-18]
- 2002-01-18: Setup - can overwrite read only files now
- 2002-01-15: Default Admin option for Copy To Sent folder added
- 2002-01-15: Default Admin option for Move Deleted Messages to trash added
- 2002-01-14: Proxy server disabled by default - needs the proxy.cfg to be enabled
- 2002-01-02: .cfg Virtual Hosts do not have to contain the back slash at the end
- 2002-01-02: IMAP Merak integrated INBOX folder fix added

3.1.2 [2001-12-23]
- 2001-12-23: (Mail server integrated mode) UID and local message deleting after reading fixed

3.1.1 [2001-12-17]
- 2001-12-17: Address item Country displaying fixed
- 2001-12-17: Importing Cell/Fax reversed order fixed
- 2001-11-26: Version system changed
- 2001-11-26: Message flags rewritten to "-" just like IMAP. No more POP3 UID mismatch
- 2001-11-26: Admin flag inherited only if true
- 2001-11-23: Attachment spaces no more "_" used (Netscape contains a bug and displays %20)
- 2001-11-23: Quoted Printable (MIME Headers) "_" = " "
- 2001-11-22: Reply All - <> problem fixed

3.00.50 [2001-11-19]
- 2001-11-19: $messageid urlencode added
- 2001-11-16: Web Server: Attachment POST CRLF removed (2 bytes more problem fixed)
- 2001-11-15: Private address book global view sort problem fixed
- 2001-11-13: Nescape - Send error displaying problem fixed 
- 2001-11-13: WAP: 0 msgs = no 0 msgs
- 2001-11-13: Previous button added
- 2001-11-13: Manual - Logging in From a Different Application part added
- 2001-11-09: Cert.dat support added - For each IP you can have a different SSL certificate
- 2001-11-09: User creation - Domain mailbox processing support added
- 2001-11-09: Web page title with the user name added
- 2001-11-09: Admin flag clearing problem - Login problem fixed
- 2001-11-09: Personality SMTP FROM added
- 2001-11-09: Integrate.exe - Exception catcher added
- 2001-11-07: $returntolistupondelete variable added, can be edited in the config.html file
- 2001-11-07: Quota new web mail problem fixed
- 2001-11-06: Icewarp web mail skin - view message Messages image added
- 2001-11-05: Sockets - graceful socket close added
- 2001-11-05: Folder spaces problem fixed
- 2001-11-01: Web mail account management - Default values considering added
- 2001-10-31: Priority displaying added
- 2001-10-31: View links problem fixed
- 2001-10-30: View and print page - WRAP for message body added

3.00.40 [2001-10-25]
- 2001-10-25: HTML pages - removed the content type charset from all pages (Accent problem)
- 2001-10-24: Web server - option to force HTTP 1.0 added
- 2001-10-24: Compose text area bigger now - 90 cols
- 2001-10-24: Web mail: Default Layout (skin) option added
- 2001-10-23: Web server engine - CGI close socket LIFO used - no more connection resets

3.00.30 [2001-10-20]
- 2001-10-20: IMAP direct Merak support added
- 2001-10-16: Read mail message list indices displaying fixed
- 2001-10-16: Accent problem fixed

3.00.20 [2001-10-15]
- 2001-10-15: Integration - password change problem fixed (different alias and mailbox name)
- 2001-10-13: WAP - Delete messages problem fixed
- 2001-10-13: Documentation Power Pack issues added
- 2001-10-13: Integration mail path fixed
- 2001-10-13: Integration config path backslah problem fixed
- 2001-10-11: Displaying message space problem fixed

3.00.10 [2001-10-11]
- 2001-10-05: WAP Number of messages displaying added upon login
- 2001-10-05: WAP support for direct merak integration added
- 2001-10-03: Reply & Delete = Move message to trash support added
- 2001-09-30: Message parser greatly enhanced
- 2001-09-30: Message parser dots considered
- 2001-09-30: Message composition (dot problem) enhanced
- 2001-09-27: Problem of not moving and deleting messages fixed
- 2001-09-25: readmail.html Copy button added
- 2001-09-22: WAP - List of messages contains the position and number of messages total
- 2001-09-20: Direct Merak mail file access added 
- 2001-09-19: Multiple Servers option removed (temporarily)
- 2001-09-19: Web server POST problem fixed
- 2001-09-19: System - Integration login of Disabled users problem fixed
- 2001-09-07: System - Write mail - To focus added
- 2001-09-07: System - HTML Messages - Images displaying added
- 2001-09-07: System - Reply all - To: My email address removing added
- 2001-08-31: System - New skin (Text Version) added
- 2001-08-31: System - Password confirmation added
- 2001-08-31: System - View - message moving - displaying the destination folder after moving
- 2001-08-31: System - Deleting messages results in displaying of a next message
- 2001-08-28: System - Self creation password problem fixed
- 2001-08-19: System - account: alias@domain change password problem fixed
- 2001-08-16: Group Item - length increased
- 2001-08-16: WAP Mail - list of messages - intervals removed
- 2001-08-12: Web Server - attachment problem fixed
- 2001-08-12: Admin settings - user adding - adding to Merak too
- 2001-08-12: New layouts (skins) added
- 2001-08-11: Proxy - small enhancement added
- 2001-07-23: Login page load - User Name set focus added
- 2001-07-20: Proxy - FTP directory listing enhanced for non standard FTP servers

2.00.10 [2001-07-14]
- License File location changed

2.00.00 [2001-07-09]
- Proxy: Active .CFG option added
- Time Zone problem fixed
- UID Mail handling - should work faster now
- PHP Socket 100% CPU Bug fixed
- Setup run fixed
- Proxy Server: SSL Tunnel faster
- Web Mail: Renamed ICE Web to IceWarp Web Mail
- Proxy: FTP Support added
- Web Mail: Socket problem 100% CPU problem fixed - Uses IMAP.DLL instead (UID - Leave Messages on Server - does not work)
- WAP Mail: Login problem fixed
- Attachment: Empty attachment problem fixed
- Proxy Server: SSL Tunnel support added
- Proxy Server: Added options: Logging, Parent Proxy, Filter File, Tunnel Filter File
- Allowed Domains to login feature added
- Web Server: Web Server responses enhanced
- Proxy Server: Proxy Server support added. Web mail Service is a proxy server
- Manual: More detailed information added
- Attachment showing problem fixed
- All sevices: Full Multiple CPU support added
- SSL: Full SSL Support added, no more problems
- Help.html IceWarp Contact removed
- All services: W2K Description added
- HTTP: HTTP/1.1 Support added - faster
- Web Mail: Attachment problem fixed
- Web Mail: Filename MIME header updated
- Web Mail: Time Zone problem fixed
- WAP: Message Index listing changed
- Expiration problem fixed
- Web Mail: Read Mail and Reply Mail - Attachment Length added
- Attachment name problem - IE Bug - Upgrade to the latest IE MS Office SP2
- Attachment view problem - IE Bug - Upgrade to the latest IE MS Office SP2

1.40.270 [2001-04-27]
- Support For W9x/ME RunServices added
- Web Server: Redirect option .CFG option added
- User Name login trim problem fixed

1.40.260 [2001-04-13]
- New Setup developed
- PDF Manual Bookmarks added
- WAP: Characters above 127 conversion added
- Web Mail: Integrated Mode - Sign up problem fixed
- Web Mail: User Text Version and Graphic version support added
- Web Mail: PHP Engine - optimizer added, should run faster
- Web Mail: menu.html and vmenu.html support added
- Web Mail: Reply All and Subject length problem fixed
- Web Mail: Account settings - a warning added
- Web Mail: Delete folder support added again
- Web Server Engine: Fixed caching problem and enhanced the functionality 
- Web Mail: Integration Logic problem fixed
- Web Mail: Fixed UIDL SendMail problem
- Web Mail: Text attachment problem fixed
- Web Mail: Time Zone problem fixed

1.40.240 [2001-01-26]
- API: DB connection problem fixed
- Web Mail: Received: Date format workaround added
- Web Mail: Folders temporarily removed the Delete folder button
- Web Mail: Reply - HTML Characters encoding added
- Web Mail: Attachment - case kept
- Setup: Setup message fixed
- Documentation: Changed few points
- WebMail: Address Book containing "," or ";" in the name problem fixed
- WebMail Setup: Fixed SSL installation
- WebMail: Settings - Domain size increased to 20K

1.40.230 [2001-01-02]
- WebMail: Global Address Book viewing for all users added
- WebMail: Web server engine URL encoding enhanced
- WebMail: Custom dictionary (spell checker) support added
- WAP: The listing of messages changed: Subject = 1., From = 2.
- WebMail: Max Message Size option added
- WebMail: "Email (Name)" Format support added
- WebMail: Attachment name problem fixed
- WebMail: Default Leave Messages On Server

1.40.220 [2000-12-04]
- WebMail: Address Books - Business Phone and Cell Phone items added
- WebMail: Integration - Multiple Merak Alias problem fixed

1.40.210 [2000-11-24]
- WebMail: Complete Merak Integration admin flag retrieving
- WebMail: Integration enhanced
- WebMail: PDF Complete Merak Integration more information added (Merak 3.00 needed)
- WebMail: Groups - adding from address book possible

1.40.190 [2000-11-19]
- WebMail: Reply & Delete (Delete From Server) fixed
- WebMail: CSV importing changed to comma
- WebMail: Merak Mail Server Integration Test added
- WebMail: Complete Merak Mail Server integration added. No need to configure multiple domains, User names etc. Everything is automatic.
- WebMail: Sign Up Process enhanced
- WebMail: Groups support added: You can send messages to groups now, easy to set, fast processing
- Uninstall Icon added
- SSL Module included by default
- Web Mail: Address Book CSV Import function added
- Spell Checker added
- Web Mail: Send As HTML option added
- Setup: Destination Folder = System Program Files folder

1.40.170 [2000-10-31]
- Web Mail: Messages list reading, processing etc. increased the speed and performance a great deal. Works very fast now.
- WAP Mail: X New Messages message changed to real number of new messages

1.40.160 [2000-10-27]
- Web Mail: Sorting - set default value
- Web Mail: SignUp - spaces not allowed
- Web Mail: Double characters (Japanase, Chinese and other) support added
- Web Mail: X New Messages message changed to real number of new messages

1.40.151 [2000-10-14]
- Web Mail: Message Composing: Recipient vs. quots problem fixed
- Web Mail: New PDF Manual developed and included
- Web Mail: Messages list and procedures - speed and performance increased
- Web Mail: Signup process problem fixed
- Web Mail: Save Account Settings problem fixed
- Web Mail: Change Pass and SignUp security added
- Web Mail: SMTP Banner Policy support added

1.40.140 [2000-10-02]
- Notify Tool: Disable option added etc.
- Web Mail: Settings - Default - Delete Messages When Deleted From Server option added
- Web Mail: Settings - Default - Delete Messages On Server When Deleted option added
- Web Server: More stability added
- Web Mail: New Multiple Domain support added. Very easy to configure, no virtual hosts needed
- Web Mail: Added support for you own config.html file which will be included each time the include.html is loaded
- Web Mail: Merak Integration - Full Name support added
- Web Mail: Virtual Hosts and Merak Integration Doc updated

1.40.131 [2000-09-12]
- Web Mail: Logo incompatibility fixed
- Web Mail: New option added: Delete Messages When Deleted From Server
- WAP: Tested with Nokia WAP Toolkit 2.0, compatible
- WAP: Tested with Microsoft Mobile Explorer, compatible
- WAP: Final testing and changes done
- WAP: Few content bugs fixed
- WAP: More enhancements done
- WAP: Delete and trash move problem fixed
- WAP: Changed some view links
- Web Mail: Added Merak User password changing
- Web Mail: Added Merak User creation

1.40.130 [2000-08-30]
- Notify: Bug fixed
- Web Server: Content Type & Content Transfer Encoding options added
- Web Server: New logging added
- Web Mail: Reply Text attachment information added
- Web Mail: WAP Mail support added
- Web Server Engine: WAP server support added
- Web Mail: Install Path can be set as an environment variable
- Web Mail: Drafts - While opening a draft signature removed
- Web Mail: Reply & Delete - Delete On Server support added
- Web Mail: Message Listing enhanced

1.40.120 [2000-08-20]
- Web Mail: Drafts folder and message management support added
- Web Mail: Mark Read/Unread feature added
- Web Mail: Fixed IE View.html problem
- Web Mail: Email address in quots with a comma problem fixed
- Web Mail: Logo File option added
- Web Mail: Title Text option added
- Web Mail: Attachment notification icon added
- Web Mail: No Disk Quota option added
- Web Mail: Multiple Personalities option added
- New PHP Engine: Better performance and faster processing
- IceWarp Mail Notification tool added

1.40.110 [2000-08-07]
- Web Mail: Forward Messages As Text option added
- Web Mail: RETR Loop problem fixed (100% CPU Usage problem)
- Web Mail: Message View - added 2 new buttons: Delete & Reply and Go To folder
- Web Mail: Integration: User name can contain the "@" character now
- Web Mail: Disk Quota option added
- Web Mail: Other mail servers incompatibility (not following RFC) fixed
- Web Mail: Will work with any mail server now
- Web Mail: Deleting messages enhanced
- Web Mail: User Length can be increased (default 32). Search for "userlength" constant in the include.html and change it. Before changing delete the sessions.dat file.
- Web Mail: Number of messages on a single page option moved to user settings

1.40.60 [2000-07-17]
- Web Mail: Password Shadow added
- Web Mail: Header & Footer support added
- Web Server Engine: Enhanced speed and other factors
- Web Server: Directory redirect added
- Multiple Server disable option added
- SSL Bind IP Problem Fixed
- Web Mail: Tested IMAP4 properly. Works fine.
- Web Mail: Integration and the Administrator. More detailed documentation added
- Web Mail: When deleting a message locally, remove it from the server option added
- Integration Mode: Save Account Settings and New Login problem fixed
- Web Mail: From/To field direct message sending support added
- Web Mail: From/To/ReplyTo field direct address book add support added
- SSL: Bind IP Procedure fixed
- Logging_Path option added
- Full SSL support added
- Help Include HTML file option
- Non Integrated Mode - Empty Login bug fixed
- POP3 Protocol xx. problem fixed
- National Characters displaying fixed
- Default Option: Leave Messages On Server added

1.40.10 [2000-05-27]
- Sent Folder: Contains To field and distinguishes between sent and moved messages
- X-originating-IP: Header item added
- Sent Messages are italic now
- RFC822 Support added
- Fixed Account Settings ":" character support
- Login Security Breach fixed
- Fast Log problem fixed
- Logo Size Specification added - Administrator Settings

1.40.00
- Folders: Space support added
- Web Mail customization added (Colors, Logos)
- Date sorting reversed
- Empty Trash Folder button added
- Mail Server Integration added
- HELP Section completed

1.20.40
- Web Server Engine: Content Length support added
- Virtual Hosts possible for different domain support.. See the HELP
- Incorrect Mail Server implementation Date problem fixed

1.20.30
- New PHP Engine added
- Optimized for 500 messages in a folder

1.20.20
- View: Deleting a message always moved to the first View page - this has been fixed
- Admin User Settings: Link to Administrator Section and back added
- Virtual Host support added
- Unread-Read Position Mixing fixed

1.20.10
- Self Account Settings page added
- Print button and page added
- Self Account Creation option added
- Multiple Mailbox Servers option added
- Multiple Attachment Sending support added
- Multiple Recursive Boundaries support added
- Title - Subject & Folder added
- [Prev] and [Next] Links added
- Some minor incompatibilites fixed

1.20
- Released the first version